<!-- wrapper  -->

<div class="wrap evr-wrapper " id="evr_settings">

  <!-- modes  -->
  <div class="evr-wrapper-mode">

    <!-- loader  -->
    <div id="evr_loader" class="evr-loader">
      <div class="evr-loader-wrapper">
        <span class="evr-loader-icon"></span>
        <span class="evr-loader-text"><?php echo esc_html__('Loading..', 'easy-video-reviews'); ?></span>
      </div>
    </div>

    <!-- warning if ssl not found  -->
    <div v-if="!isSSL" class="evr-warning">
      <?php echo esc_html__('SSL not detected! Please install SSL on your website to record videos from browser  ', 'easy-video-reviews'); ?><a :href="ssl_guideline" target="_blank" class="text-blue-400 hover:text-blue-500"><?php echo esc_html__('Learn more', 'easy_video_reviews'); ?></a>
    </div>

    <!-- email confirmation message  -->
    <div v-if="profile && profile.subscription && profile.is_verified != true" class="evr-warning">
      <div v-if="emailVerification == 'sent'">
        <?php echo esc_html__('Check for a WordPress password reset email and click on the link to activate your account') ?>
      </div>
      <div v-else>
        <?php echo esc_html__('Please check your inbox and verify your email address', 'easy-video-reviews'); ?> <em class="text-red-700">{{profile.email}}</em> <button class="ml-3 rounded-sm py-1 px-3" @click.prevent="emailVerificationSend" :class="emailVerification == 'sending' ? ['bg-gray-100', 'text-gray-400', 'hover:bg-gray-100'] : ['bg-blue-400','hover:bg-blue-500', 'text-white']" :disabled="emailVerification">{{emailVerification == 'sending' ? 'Sending...' : 'Resend'}}</button></div>
    </div>


    <!-- main content  -->
    <div class="evr-main">

      <!-- nav toggler  -->

      <button @click.prevent="nav = !nav" class="evr-nav-toggler">
        <i class="evr-icon">&#xf0c9;</i>

      </button>

      <!-- main navigation  -->
      <nav :class="{'nav-open': nav}" class="evr-main-nav">

        <a :class="{'active': section == 'reviews'}" href="#reviews" @click="section = 'reviews'; nav = false">
          <i class="evr-icon">&#xe804;</i>
          <span><?php echo esc_html__('Reviews', 'easy-video-reviews'); ?></span>
        </a>

        <a :class="{'active': section == 'settings'}" href="#settings" @click="section = 'settings'; nav = false">
          <i class="evr-icon">&#xf1de;</i>
          <span><?php echo esc_html__('Settings', 'easy-video-reviews'); ?></span>
        </a>


        <a :class="{'active': section == 'integrations'}" href="#integrations" @click="section = 'integrations'; nav = false">
          <i class="evr-icon">&#xF15C;</i>
          <span><?php echo esc_html__('Integrations', 'easy-video-reviews'); ?></span>
        </a>

        <a :class="{'active': section == 'subscription'}" href="#subscription" @click="section = 'subscription'; nav = false">
          <i class="evr-icon">&#xe800;</i>
          <span>{{isPro ? '<?php echo esc_html__('Subscription', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('Upgrade', 'easy-video-reviews'); ?>' }}</span>
        </a>

        <a :class="{'active': section == 'affiliates'}" href="#affiliates" @click="section = 'affiliates'; nav = false">
          <i class="evr-icon">&#xe801;</i>
          <span><?php echo esc_html__('Affiliates', 'easy-video-reviews'); ?></span>
        </a>

        <a href="https://wppool.dev/docs-category/how-to-use-easy-video-reviews/" target="_blank">
          <i class="evr-icon">&#xf1cd;</i>
          <span><?php echo esc_html__('Support', 'easy-video-reviews'); ?></span>
        </a>

        <div class="evr_HW_wrapper flex items-center justify-center px-3"></div>

      </nav>

      <div class="evr-contents">
        <!-- geenral -->

        <section v-if="section == 'reviews'">
          <div class="evr-reviews-filters">
            <div class="w-2/5 mb-4 sm:mb-0">
              <input type="text" v-model="review.search" class="input-text input-search" placeholder="looking for..." />
            </div>
            <div class="evr-reviews-filters-buttons">
              <div class="evr-reviews-filters-buttons-block">

                <div>

                  <button v-if="selectedItems" title="Delete selected items" class="evr-reviews-filters-delete" @click.prevent="deleteSelected()">
                    <i class="evr-icon">&#xe80d;</i>
                  </button>

                  <button class="evr-reviews-filters-selects" v-show="getreviews" v-if="selectedItems" @click.prevent="selectAll(false)">
                    <i class="evr-icon">&#xe802;</i>
                  </button>
                  <button class="evr-reviews-filters-selects" v-show="getreviews" v-else @click.prevent="selectAll(true)">
                    <i class="evr-icon">&#xf096;</i>
                  </button>

                  <button title="Reload reviews" @click.prevent="loadreviews(false)" class="evr-reviews-filters-selects evr-reviews-filters-reload" :class="review.loading ? 'animate-spin' : ''">
                    <i class="evr-icon">&#xe803;</i>
                  </button>

                </div>

              </div>

            </div>
          </div>

          <div class="evr-divider"></div>

          <div v-if="getreviews.length > 0">

            <div class="w-full m-w-full px-3 py-3 grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4 gap-3 sm:gap-4 bg-gray-100 rounded-sm">
              <div class="group bg-white transition duration-100 rounded-sm py-1 hover:ring-4 hover:ring-blue-500 hover:bg-blue-400 :bg-gray-500 transition duration-75" v-for="(item, index) in getreviews">
                <!-- grid head  -->
                <div class="flex px-2 items-center justify-between">
                  <div class="cursor-pointer px-2 group-hover:text-white ">
                    <i @click.prevent="item.selected = false" v-if="item.selected" class="evr-icon cursor-pointer text-blue-400 group-hover:text-white ">&#xe802;</i>
                    <i v-else @click.shift="selectAllTo(item.id)" @click.prevent="item.selected = true" class="evr-icon cursor-pointer opacity-30 ">&#xf096;</i>
                  </div>
                  <div class="dropdown inline-block relative">
                    <button class="py-1 px-2 bg-transparent text-gray-400 hover:text-blue-500 group-hover:text-white">
                      <svg xmlns="http://www.w3.org/2000/svg" class="fill-current h-4 w-4" viewBox="0 0 24 24">
                        <path d="M6 12c0 1.657-1.343 3-3 3s-3-1.343-3-3 1.343-3 3-3 3 1.343 3 3zm9 0c0 1.657-1.343 3-3 3s-3-1.343-3-3 1.343-3 3-3 3 1.343 3 3zm9 0c0 1.657-1.343 3-3 3s-3-1.343-3-3 1.343-3 3-3 3 1.343 3 3z" />
                      </svg>
                    </button>
                    <ul style="display: none;" class="bg-white shadow-md dropdown-menu w-36 absolute z-50 right-0 text-gray-700 top-0 rounded-sm overflow-hidden">
                      <li :class="{pro : !isPro}" @click.prevent="showreviewFormData(item)">
                        <a class="flex text-gray-500 items-center bg-white hover:bg-blue-500 hover:text-white py-2 px-4 whitespace-no-wrap" href="#"><span><?php echo esc_html__('Form data', 'easy-video-reviews'); ?></span></a>
                      </li>
                      <li :class="{pro : !isPro}" @click.prevent="showreviewVisitorInfo(item)">
                        <a class="flex text-gray-500 items-center bg-white hover:bg-blue-500 hover:text-white py-2 px-4 whitespace-no-wrap" href="#"><span><?php echo esc_html__('Visitor info', 'easy-video-reviews'); ?></span></a>
                      </li>
                      <li class="">
                        <a target="_blank" click.prevent="download(item.mediafile, 'test.webm')" :href="item.mediafile" :download="item.mediafile" class="flex text-gray-500 items-center bg-white hover:bg-black hover:text-white py-2 px-4 whitespace-no-wrap" href="#">
                          <span><?php echo esc_html__('Download', 'easy-video-reviews'); ?></span></a>
                      </li>
                      <li class="">
                        <a class="flex items-center hover:bg-red-600 hover:text-white py-2 px-4 block whitespace-no-wrap" href="#" :class="item.delete ? ['bg-red-600', 'text-white', 'hover:bg-red-700'] : ['bg-white', 'text-gray-500']" @click.prevent="deleteItem(item.id)">
                          <span><?php echo esc_html__('Delete', 'easy-video-reviews'); ?></span></a>
                      </li>
                    </ul>
                  </div>
                </div>

                <!-- grid embeder -->
                <div class="relative h-48 evr-video flex items-center justify-center">
                  <video :class="item.flip == 1 || item.flip == '1' ? 'flip-camera' : ''" class="mt-1 h-full block m-auto" :id="`evr-video-${item.id}`" :src="item.mediafile"></video>
                  <div @click="playToggle(item)" class="overlay absolute top-0 left-0 w-full h-full flex items-center justify-center cursor-pointer opacity-50 hover:opacity-100 transition duration-150">
                    <span v-if="!item.playing" class="text-white text-4xl"><i class="evr-icon">&#xe80f;</i></span>
                  </div>
                </div>

                <!-- grid footer  -->
                <div class="px-3 mt-0 pb-1 flex items-center justify-between">
                  <div class="text-gray-400 text-xs group-hover:text-white">{{timeSince(item.created)}}
                    <?php echo esc_html__('ago', 'easy-video-reviews'); ?></div>

                  <div class="inline-flex items-center justify-end">

                    <div class="relative block">
                      <button class="text-gray-400 px-4 py-2 bg-transparent group-hover:text-white" @click.prevent="item.edit_public = !item.edit_public">{{Number(item.public) ? "Public" : "Private"}}</button>
                      <transition name="slide">
                        <div v-if="item.edit_public" class="absolute bottom-full bg-white flex flex-col w-28 rounded-sm shadow-lg z-50 py-1 right-0 overflow-hidden">
                          <a href="#" class="block w-full hover:bg-blue-500 hover:text-white py-2 px-4" @click.prevent="item.public = 1; item.edit_public = 0; updateSingleReview(item)" :class="{'text-white' : Number(item.public) == 1, 'bg-blue-400': Number(item.public) == 1, 'text-gray-500' : Number(item.public) != 1}">Public</a>
                          <a href="#" class="block w-full hover:bg-blue-500 hover:text-white py-2 px-4" @click.prevent="item.public = 0; item.edit_public = 0; updateSingleReview(item)" :class="{'text-white' : Number(item.public) != 1, 'bg-blue-400': Number(item.public) != 1,  'text-gray-500' : Number(item.public)  == 1}">Private</a>
                        </div>
                      </transition>
                      <div v-if="item.edit_public" class="evr-fixed left-0 top-0 w-full h-full" @click.prevent="item.edit_public = false"></div>
                    </div>

                    <div class="inline-flex justify-center items-center" v-if="Number(item.public)">
                      <a href="#" @click.prevent="item.is_social = !item.is_social" class="text-right text-blue-400 hover:bg-blue-500  group-hover:text-white px-2 py-2 rounded-full cursor-pointer inline-flex items-center justify-center focus:outline-none">
                        <i class="evr-icon">&#xf1e0;</i>
                      </a>
                      <div class="bg-white absolute evr-social-share-button z-50" :class="item.is_social ? 'block' : 'hidden'">
                        <a :href="`https://www.facebook.com/sharer.php?display=popup&u=${videoUrl(item.short)}`" class="opacity-75 hover:opacity-100 sharer absolute flex items-center justify-center h-8 w-8 rounded-full bg-blue-500 text-white hover:text-white -top-14 left-4 cursor-pointer">
                          <i class="evr-icon">&#xf09a;</i>
                        </a>
                        <a :href="`http://twitter.com/share?text=Video Review&url=${videoUrl(item.short)}`" class="opacity-75 hover:opacity-100 sharer absolute flex items-center justify-center h-8 w-8 rounded-full bg-blue-400 text-white hover:text-white -top-4 left-8 cursor-pointer">
                          <i class="evr-icon">&#xf099;</i>
                        </a>
                        <a :href="`https://www.linkedin.com/sharing/share-offsite/?url=${videoUrl(item.short)}`" class="opacity-75 hover:opacity-100 sharer absolute flex items-center justify-center h-8 w-8 rounded-full bg-blue-500 text-white hover:text-white top-6 left-4 cursor-pointer">
                          <i class="evr-icon">&#xf0e1;</i>
                        </a>
                        <a :href="`http://pinterest.com/pin/create/link/?url=${videoUrl(item.short)}`" class="opacity-75 hover:opacity-100 sharer absolute flex items-center justify-center h-8 w-8 rounded-full bg-red-500 text-white hover:text-white -top-14 left-14 cursor-pointer">
                          <i class="evr-icon">&#xf231;</i>
                        </a>
                        <a :href="`${videoUrl(item.short)}&headless=1`" class="opacity-75 hover:opacity-100 copyCode absolute flex items-center justify-center h-8 w-8 rounded-full bg-purple-500 text-white hover:text-white -top-4 left-18 cursor-pointer">
                          <i class="evr-icon">&#xf121;</i>
                        </a>
                        <a :href="`${videoUrl(item.short)}`" class="opacity-75 hover:opacity-100 copyToClipboard absolute flex items-center justify-center h-8 w-8 rounded-full bg-gray-600 text-white hover:text-white top-6 left-14 cursor-pointer">
                          <i class="evr-icon">&#xe820;</i>
                        </a>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="text-center py-6">
              <button class="group py-2 px-4 rounded-sm text-gray-500  bg-gray-100 hover:bg-blue-500 hover:text-white " @click.prevent="loadreviews(true)">
                <loader class="mr-2" v-if="review.loading"></loader>
                {{review.loading ? '<?php echo esc_html__('Loading...', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('Load more', 'easy-video-reviews'); ?>'}}
              </button>
            </div>



          </div>
          <div v-else class="my-2">
            <div v-if="review.items && review.items.length > 0" class="px-3 py-4 text-sm text-gray-600 text-center bg-yellow-50 rounded-md ">
              {{review.items.length > 0 ? '<?php echo esc_html__('No result found', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('No Reviews Recorded Yet', 'easy-video-reviews'); ?>'}}
            </div>
            <div v-else class="px-3 py-4 text-sm text-gray-600 text-center bg-yellow-50 rounded-md">
              <div>
                {{review.items.length > 0 ? '<?php echo esc_html__('No reviews recorded yet.', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('No Reviews Recorded Yet', 'easy-video-reviews'); ?>'}}
              </div>

              <button @click.prevent="getStarted()" class="evr-inline my-4 bg-blue-400 text-white px-4 py-2 rounded-sm "><?php echo esc_html__('Get Started', 'easy-video-reviews'); ?></button>
            </div>
          </div>
        </section>
        <!-- settings  -->
        <section v-if="section == 'settings'" class="flex justify-between">

          <div class="min-h-screen w-48 border-l border-gray-300 bg-gray-100 flex flex-col text-left flex-wrap  sm:justify-start text-sm md:text-md">
            <a v-for="(label, menu) in {profile: 'Profile', websites: 'Websites', translations: 'Translations', forms: 'Form Fields', recorder: 'Video Recorder', single: 'Single Video', tools: 'Tools', shortcodes: 'Shortcodes'  }" :href="`#settings/${menu}`" class="w-auto sm:w-30 py-3 transition hover:text-gray-500 hover:bg-white   :bg-gray-100 focus:border-0 focus:ring-0 px-4" :class="subsection == menu ? ['text-gray-500', 'bg-white', ''] : ['text-gray-400']" @click="subsection = menu">{{label}}</a>
            <a href="https://wppool.dev/docs-category/how-to-use-easy-video-reviews/" class="w-auto sm:w-30 py-3 transition hover:text-gray-500 hover:bg-white   :text-gray-800 :bg-gray-100 focus:border-0 focus:ring-0 px-4 text-gray-400" target="_blank"><?php echo esc_html__('Documentation', 'easy-video-reviews'); ?></a>
          </div>

          <div class="w-full">
            <section v-if="subsection == 'profile' && profile" class="px-3 pb-8">
              <h3 class="text-md mb-4 ">
                <?php echo esc_html__('Profile Settings', 'easy-video-reviews'); ?></h3>
              <div class="mb-3 flex sm:items-center flex-col sm:flex-row">
                <label for="profile_first_name" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/3"><?php echo esc_html__('Name', 'easy-video-reviews'); ?></label>
                <div class="flex sm:items-center w-full flex-col sm:flex-row">
                  <input id="profile_first_name" type="text" class="form-input input-text mr-2 mb-2 sm:mb-0" placeholder="First Name" v-model="profile.first_name" />
                  <input type="text" class="form-input input-text mb-2 sm:mb-0" placeholder="Last Name" v-model="profile.last_name" />
                </div>
              </div>
              <div class="mb-3 flex sm:items-center flex-col sm:flex-row">
                <label for="profile_email" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/3"><?php echo esc_html__('Email', 'easy-video-reviews'); ?></label>
                <input id="profile_email" type="text" class="form-input input-text bg-gray-100" placeholder="Email address" v-model="profile.email" readonly />
              </div>
              <div class="mb-3 flex sm:items-center flex-col sm:flex-row">
                <label for="profile_phone" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/3"><?php echo esc_html__('Phone number', 'easy-video-reviews'); ?></label>
                <input id="profile_phone" type="text" class="form-input input-text" placeholder="Phone number" v-model="profile.phone" />
              </div>
              <div class="mb-3 flex sm:items-center flex-col sm:flex-row">
                <label for="profile_company" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/3"><?php echo esc_html__('Company', 'easy-video-reviews'); ?></label>
                <input id="profile_company" type="text" class="form-input input-text" placeholder="Company" v-model="profile.company" />
              </div>
              <div class="group w-full text-right">
                <button @click.prevent="saveProfile()" class="py-2 px-4 text-gray-700  bg-gray-200 text-sm rounded-md hover:bg-blue-500 hover:text-white transition">
                  <loader v-if="profile.loading" class="mr-3"></loader>
                  Save Profile
                </button>
              </div>
              <div class="mb-4">
                <button v-if="profile.logout" @click.prevent="profile.logout = false" class="mr-3 rounded-sm py-1 px-3 border border-gray-100 bg-gray-100 hover:bg-gray-200"><?php echo esc_html__('Cancel', 'easy-video-reviews'); ?></button>
                <button @click.prevent="logout()" class="rounded-sm py-1 px-3 border border-gray-100 bg-gray-100 hover:bg-red-400 hover:text-white">{{profile.logout ? '<?php echo esc_html__('Confirm Logout', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('Logout', 'easy-video-reviews'); ?>'}}</button>

              </div>

              <!-- password  -->
              <h3 class="mt-8 mb-4 ">
                <?php echo esc_html__('Change password', 'easy-video-reviews'); ?></h3>

              <p class="mb-4 px-4 py-3 rounded-sm border border-gray-200 shadow-sm text-gray-500" :class="password.error ? ['bg-red-100'] : ['bg-gray-100']" v-show="password.message">
                {{password.message}}
              </p>

              <div class="mb-3 flex sm:items-center flex-col sm:flex-row">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/3"><?php echo esc_html__('Old password', 'easy-video-reviews'); ?></label>
                <div class="w-full">
                  <input type="password" @change="password.oldEmpty = password.old ? false : true " class="form-input input-text" placeholder="Old Password" v-model="password.old" />
                  <p class="mt-1 text-red-500 text-xs" v-if="oldEmpty && validPassword == 'old'">
                    <?php echo esc_html__('Old password can\'t be empty', 'easy-video-reviews'); ?></p>
                </div>
              </div>

              <div class="mb-3 mt-4 border-t border-gray-100 pt-4 flex sm:items-center flex-col sm:flex-row">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/3"><?php echo esc_html__('New password', 'easy-video-reviews'); ?></label>
                <div class="w-full">
                  <input type="password" class="form-input input-text" placeholder="New password" v-model="password.password" />
                  <p class="mt-1 text-red-500 text-xs" v-if="password.password != '' && validPassword == 'password'">
                    <?php echo esc_html__('Password must be atleast 8 character', 'easy-video-reviews'); ?></p>
                </div>
              </div>
              <div class="mb-3 mt-4 flex sm:items-center flex-col sm:flex-row">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/3"><?php echo esc_html__('Re-enter new password', 'easy-video-reviews'); ?></label>
                <div class="w-full">
                  <input type="password" class="form-input input-text" placeholder="Re-enter New Password" v-model="password.password2" />
                  <p class="mt-1 text-red-500 text-xs" v-if="password.password2 != '' && validPassword == 'match'">
                    <?php echo esc_html__('New password didn\'t match', 'easy-video-reviews'); ?></p>
                </div>
              </div>
              <div class="w-full text-right">
                <button @click.prevent="changePassword()" class="group text-gray-700 py-2 px-4  bg-gray-200 text-sm rounded-md hover:bg-blue-500 hover:text-white transition">
                  <loader v-if="password.loading" class="mr-3"></loader>
                  <span><?php echo esc_html__('Change password', 'easy-video-reviews'); ?></span>
                </button>
              </div>
            </section>

            <section v-if="subsection == 'websites' && websites" class="px-3  pb-8">
              <h3 class="text-md mb-4 flex items-center">
                <?php echo esc_html__('Active websites', 'easy-video-reviews'); ?>
                <tooltip>
                  <?php echo esc_html__('List of the host or website where your account is used', 'easy-video-reviews'); ?>
                </tooltip>
              </h3>
              <p class="text-gray-500" v-if="websites">
                <?php
                echo esc_html__('You have {{websites.length > 1 ? websites.length + (profile.subscription.websites == -1 ? "" : " out of " + profile.subscription.websites) + " websites" : (websites.length == 0) ? "no website" : "only one website"}} connected with your
                account', 'easy-video-reviews') ?>
              </p>
              <p v-else class="text-gray-500">
                <?php echo esc_html__('Getting Websites Information...', 'easy-video-reviews'); ?></p>

              <div v-if="websites" class="border mt-4 border border-gray-200 shadow-sm rounded-md overflow-hidden p-3 bg-white ">
                <table class="w-full text-sm">
                  <thead class="text-left text-xs text-gray-500 ">
                    <tr>
                      <th class="py-4 px-3"><?php echo esc_html__('Website', 'easy-video-reviews'); ?></th>
                      <th class="py-4"><?php echo esc_html__('Connected on', 'easy-video-reviews'); ?></th>
                      <th class="py-4 px-3 text-center"><?php echo esc_html__('Action', 'easy-video-reviews'); ?></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr v-for="(w, i) in websites" class="border-t border-gray-100 ">
                      <td class="px-3 py-3">{{w.website}}</td>
                      <td>{{w.created}}</td>
                      <td class="px-3 flex items-center justify-center">
                        <div class="mt-2">
                          <button v-if="w.website != currentHost" :class="w.delete ? 'text-red-400' : ['w-6', 'h-6', 'text-red-200', 'hover:text-red-500']" @click.prevent="deleteWebsite(w.website)">
                            <span v-if="w.delete" class="bg-red-100 hover:bg-red-400 hover:text-white transition px-3 py-1"><?php echo esc_html__('Confirm Delete', 'easy-video-reviews'); ?></span>
                            <i v-else class="evr-icon">&#xe80d;</i>
                          </button>
                          <span v-else class="text-xs text-red-300">
                            <?php echo esc_html__('This website can\'t be removed', 'easy-video-reviews'); ?>
                            <tooltip>
                              <?php echo esc_html__('You can\'t remove active website, logout and login with another account instead', 'easy-video-reviews'); ?>
                            </tooltip>
                          </span>
                          <button v-if="w.delete" class="ml-2 py-1 hover:bg-gray-200 px-4  bg-gray-100 rounded-sm text-gray-500" @click.prevent="w.delete = false">
                            <?php echo esc_html__('Cancel', 'easy-video-reviews'); ?>
                          </button>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </section>

            <section v-if="subsection == 'recorder' && preference" class="px-3  pb-8">
              <h3 class="mb-4 "><?php echo esc_html__('Video recording', 'easy-video-reviews'); ?>
              </h3>
              <div v-if="preference">
                <div class="mb-4 flex flex-col sm:flex-row">
                  <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Limit', 'easy-video-reviews'); ?>
                    <small>(<?php echo esc_html__('Seconds', 'easy-video-reviews'); ?>)</small>
                    <tooltip>
                      <?php echo esc_html__('Maximum seconds of a single video while recording', 'easy-video-reviews'); ?>
                    </tooltip>
                  </label>
                  <div class="w-full flex items-center">
                    <input type="number" min="10" :max="profile && profile.subscription ? profile.subscription.limits : 120" size="2" class="input-text input-range mr-3 border-gray-100 rounded-sm px-3 py-2" placeholder="Limit" v-model="preference.recorder.limits" @input="preference.recorder.limit = preference.recorder.limit >= clientPackage.limits ? clientPackage.limits : preference.recorder.limit" />
                    <input type="range" min="10" :max="profile && profile.subscription ? profile.subscription.limits : 120" v-model="preference.recorder.limits" class="rounded-lg appearance-none hover:bg-blue-500 transition duration-100 bg-blue-200 h-2 w-full" />
                  </div>
                </div>

                <div class="mb-4 flex flex-col sm:flex-row">
                  <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Delay', 'easy-video-reviews'); ?></label>
                  <div class="w-full flex items-center">
                    <button class="px-5 py-3 mr-3 bg-blue-400 text-white border-0 rounded-md" @click.prevent="preference.recorder.delay = preference.recorder.delay ? false : 3">{{preference.recorder.delay && preference.recorder.delay > 0 ? 'On' : 'Off'}}</button>
                    <input min="0" max="60" v-if="preference.recorder.delay && preference.recorder.delay > 0" type="number" class="input-text input-range  mr-3 border-gray-100 rounded-md px-3 py-2" size="3" placeholder="Delay" v-model="preference.recorder.delay" /> <span v-if="preference.recorder.delay && preference.recorder.delay > 0" class=""><?php echo esc_html__('Seconds', 'easy-video-reviews'); ?></span>
                  </div>
                </div>

                <div class="mt-8 mb-4 flex flex-col sm:flex-row">
                  <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Preferences', 'easy-video-reviews'); ?></label>
                  <div class="flex flex-col w-full">


                    <div class="mb-4 flex items-center">
                      <div class="switch evr-inline"><input id="auto_approve" v-model="preference.recorder.auto_approve" type="checkbox" /><label for="auto_approve"></label></div>
                      <label for="auto_approve" class="text-sm text-gray-600 "><?php echo esc_html__('Auto publish video', 'easy-video-reviews'); ?>
                        <tooltip>
                          <?php echo esc_html__('Approve for publishing video automatically after recording / upload new video. Only public video will be shown frontend', 'easy-video-reviews'); ?>
                        </tooltip>
                      </label>
                    </div>


                    <div class="mb-4 flex items-center" :class="isPro ? [] : ['opacity-50', 'pro']">
                      <div class="switch evr-inline"><input :disabled="!isPro" id="recorder_form" v-model="preference.recorder.form" type="checkbox" /><label for="recorder_form"></label></div>
                      <label for="recorder_form" class="text-sm text-gray-600 "><?php echo esc_html__('Show Form Fields', 'easy-video-reviews'); ?>
                        <tooltip>
                          <?php echo esc_html__('Show custom form fields inside recorder', 'easy-video-reviews'); ?>
                        </tooltip>
                        <pro></pro>
                      </label>
                    </div>


                    <div class="mb-4 flex items-center" :class="isPro ? [] : ['opacity-50', 'pro']">
                      <div class="switch evr-inline"><input :disabled="!isPro" id="upload_prerecorded" v-model="preference.recorder.upload" type="checkbox" /><label for="upload_prerecorded"></label></div>
                      <label for="upload_prerecorded" class="text-sm text-gray-600 "><?php echo esc_html__('Allow uploading video', 'easy-video-reviews'); ?>
                        <tooltip>
                          <?php echo esc_html__('Allow to upload pre-recorder video as review', 'easy-video-reviews'); ?>
                        </tooltip>
                        <pro></pro>
                      </label>
                    </div>
                    <div class="mb-4 w-full flex items-center" :class="isPro ? [] : ['opacity-50', 'pro']">
                      <div class="switch evr-inline"><input :disabled="!isPro" v-model="preference.recorder.publish_policy" id="show_publish_policy" type="checkbox" /><label for="show_publish_policy"></label></div>
                      <label for="show_publish_policy" class="text-sm text-gray-600 "><?php echo esc_html__('Show Publish Policy', 'easy-video-reviews'); ?>
                        <tooltip>
                          <?php echo esc_html__('Show publish policy confirmation before submitting review. It may help you to publish video anywhere', 'easy-video-reviews'); ?>
                        </tooltip>
                        <pro></pro>
                      </label>
                    </div>
                    <div class="mb-4  w-full flex items-center" :class="isPro ? [] : ['opacity-50', 'pro']">
                      <div class="switch evr-inline"><input :disabled="!isPro" v-model="preference.recorder.show_options" id="chooseOptions" type="checkbox" /><label for="chooseOptions"></label></div>
                      <label for="chooseOptions" class="text-sm text-gray-600 "><?php echo esc_html__('Allow to choose devices', 'easy-video-reviews'); ?>
                        <tooltip>
                          <?php echo esc_html__('Allow to choose input/output devices such as Camera and Microphone before recording. Otherwise default devices will be used', 'easy-video-reviews'); ?>
                        </tooltip>
                        <pro></pro>
                      </label>
                    </div>
                  </div>
                </div>

                <div class="mt-8 mb-4 flex flex-col sm:flex-row " :class="isPro ? [] : ['opacity-50', 'pro']">
                  <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Default Recorder Page', 'easy-video-reviews'); ?>
                    <tooltip>
                      <?php echo esc_html__('Single recording page you will share with your audience', 'easy-video-reviews'); ?>
                    </tooltip>
                  </label>
                  <div class="w-full flex-col items-center">
                    <select v-model="preference.recorder_page" class="form-select">
                      <option v-for="page in pages" :value="page.id">{{page.title}}</option>
                    </select>
                    <small class="pt-1 text-gray-400 text-xs block"><?php echo esc_html__('Make sure you put [evr-button] in content', 'easy-video-reviews'); ?></small>
                  </div>
                </div>

                <!-- button template  -->
                <div v-if="isPro" class="mt-8 mb-4">
                  <h3 class=""><?php echo esc_html__('Recorder button', 'easy-video-reviews'); ?>
                    <tooltip>
                      <?php echo esc_html__('Global video review button will be applied where no preference is chosen', 'easy-video-reviews'); ?>
                    </tooltip>
                  </h3>
                  <div class="mb-4 flex flex-col sm:flex-row sm:items-center">
                    <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Button label', 'easy-video-reviews'); ?></label>
                    <div class="w-full">
                      <input type="text" class="input-text input-text border-gray-100 rounded-md px-3 py-2" size="3" placeholder="Button text" v-model="preference.button.text" />
                    </div>
                  </div>
                  <div class="mb-4 flex flex-col sm:flex-row sm:items-center">
                    <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Button style', 'easy-video-reviews'); ?></label>
                    <div class="w-full flex items-center gap-3">

                      <div>
                        <label for="" class="text-gray-500 mb-1">Button Color</label>
                        <input type="color" class="input-text input-text border-gray-100 rounded-md h-8 px-0" size="3" v-model="preference.button.color" />
                      </div>

                      <div>
                        <label for="" class="text-gray-500 mb-1">Button Background Color</label>
                        <input type="color" class="input-text input-text border-gray-100 rounded-md h-8 px-0" size="3" v-model="preference.button.bg" />
                      </div>

                    </div>
                  </div>
                  <div class="mb-4 flex flex-col sm:flex-row sm:items-center">
                    <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Button font size', 'easy-video-reviews'); ?></label>
                    <div class="w-full">
                      <select v-model="preference.button.size" class="form-select border-gray-100 rounded-sm h-8 px-4">
                        <option v-for="n in [8, 12, 14, 15, 16, 18, 20, 22, 24, 25, 28, 30, 40, 50, 60]" :value="n">{{n}}</option>
                      </select>
                    </div>
                  </div>
                  <div class="mb-4 flex flex-col sm:flex-row sm:items-center">
                    <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Button alignment', 'easy-video-reviews'); ?></label>
                    <div class="w-full">
                      <div class="flex text-2xl">
                        <a v-for="align in ['left', 'center', 'right']" href="javascript:;" class="flex mr-4 items-center justify-center transform text-gray-400 scale-150 hover:text-blue-400 focus:text-blue-400 " :class="preference.button.alignment == align ? 'text-blue-400' : ''" @click.prevent="preference.button.alignment = align"><span class="dashicons" :class="`dashicons-align-${align}`"></span></a>
                      </div>
                    </div>
                  </div>

                </div>

                <div class="w-full mb-5 text-right">
                  <button @click.prevent="savePreferences()" class="group py-2 text-gray-700  px-4  bg-gray-200 text-sm rounded-md hover:bg-blue-500 hover:text-white transition">
                    <loader v-if="preference.loading" class="mr-3"></loader>
                    <?php echo esc_html__('Save settings', 'easy-video-reviews'); ?>
                  </button>
                </div>

              </div>

            </section>

            <section v-if="subsection == 'single' && preference" class="px-3 pb-8">

              <h3 class="mt-8 mb-4 ">
                <?php echo esc_html__('Single video page', 'easy-video-reviews'); ?> <tooltip>
                  <?php echo esc_html__('This page will be used for embeded Video Review source', 'easy-video-reviews'); ?>
                </tooltip>
              </h3>

              <div v-if="preference.optimization" class="mb-3 flex items-center flex-col sm:flex-row" :class="isPro ? [] : ['opacity-50', 'pro']">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Page title', 'easy-video-reviews'); ?></label>
                <div class="flex items-center w-full">
                  <input type="text" text="" class="input-text" placeholder="Page Title" v-model="preference.optimization.showcase.title">
                </div>
              </div>

              <div class="mb-3 flex items-center flex-col sm:flex-row" :class="isPro ? [] : ['opacity-50', 'pro']">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Page description', 'easy-video-reviews'); ?></label>
                <div class="flex items-center w-full">
                  <input type="text" text="" class="input-text" placeholder="Page Description" v-model="preference.optimization.showcase.description">
                </div>
              </div>

              <div class="mb-3 flex items-center flex-col sm:flex-row" :class="isPro ? [] : ['opacity-50', 'pro']">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Page slug', 'easy-video-reviews'); ?></label>
                <div class="flex items-center w-full">
                  <span class="text-gray-500"><?php echo esc_url(home_url('/')); ?></span>
                  <input type="text" text="" class="mx-2 input-text input-slug" placeholder="video" v-model="preference.optimization.showcase.slug">
                  <span class="text-gray-500">/?id=abcd1234</span>
                </div>
              </div>
              <div class="w-full mb-4 flex flex-col sm:flex-row" :class="isPro ? [] : ['opacity-50', 'pro']">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"></label>
                <div class="flex flex-col w-full">
                  <div class="mb-4 flex items-center">
                    <div class=" switch evr-inline "><input :disabled="!isPro" v-model="preference.optimization.showcase.share" type="checkbox" id="optimization_showcase_social" /><label for="optimization_showcase_social"></label></div>
                    <label for="optimization_showcase_social" class="text-sm text-gray-600 " :class="isPro ? '' : 'pro'"><?php echo esc_html__('Show social share buttons', 'easy-video-reviews'); ?>
                      <tooltip>
                        <?php echo esc_html__('Share video review through Facebook, Twitter, LinkedIn, Pinteret etc', 'easy-video-reviews'); ?>
                      </tooltip>
                      <pro></pro>
                    </label>
                  </div>
                </div>
              </div>

              <h3 class="mt-8 mb-4 "><?php echo esc_html__('Optimizations', 'easy-video-reviews'); ?>
                <tooltip><?php echo esc_html__('Used for optimization the single video page', 'easy-video-reviews'); ?>
                </tooltip>
              </h3>
              <div class="w-full mb-4 flex flex-col sm:flex-row" :class="isPro ? [] : ['opacity-50', 'pro']">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Preferences', 'easy-video-reviews'); ?></label>
                <div class="flex flex-col w-full">
                  <div class="mb-4 flex items-center">
                    <div class=" switch evr-inline "><input :disabled="!isPro" v-model="preference.optimization.social.facebook.show" type="checkbox" id="optimization_og" /><label for="optimization_og"></label></div>
                    <label for="optimization_og" class="text-sm text-gray-600 " :class="isPro ? '' : 'pro'"><?php echo esc_html__('Enable Facebook open graph', 'easy-video-reviews'); ?>
                      <tooltip><a href="https://developers.facebook.com/docs/sharing/web" target="_blank" class="text-blue-400 hover:text-blue-500"><?php echo esc_html__('Learn more', 'easy-video-reviews'); ?></a>
                        <?php echo esc_html__('about Facebook open graph', 'easy-video-reviews'); ?></tooltip>
                      <pro></pro>
                    </label>
                  </div>
                  <div class="mb-4 flex items-center">
                    <div class=" switch evr-inline "><input :disabled="!isPro" v-model="preference.optimization.social.twitter.show" type="checkbox" id="optimization_tc" /><label for="optimization_tc"></label></div>
                    <label for="optimization_tc" class="text-sm text-gray-600 " :class="isPro ? '' : 'pro'"><?php echo esc_html__('Enable Twitter Card', 'easy-video-reviews'); ?>
                      <tooltip>
                        <a href="https://developer.twitter.com/en/docs/twitter-for-websites/cards/overview/abouts-cards" target="_blank" class="text-blue-400 hover:text-blue-500">
                          <?php echo esc_html__('Learn more', 'easy-video-reviews'); ?></a>
                        <?php echo esc_html__(' about Twitter card', 'easy-video-reviews'); ?>
                      </tooltip>
                      <pro></pro>
                    </label>
                  </div>
                </div>
              </div>

              <div class="mb-3 flex flex-col sm:flex-row" v-if="preference.optimization.social.facebook.show">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Facebook ID', 'easy-video-reviews'); ?>
                  <tooltip>
                    <a href="https://www.facebook.com/help/1740158369563165" target="_blank" class="text-blue-400 hover:text-blue-500"></a><?php echo esc_html__('Learn more', 'easy-video-reviews'); ?><?php echo esc_html__(' about Facebook ID or username', 'easy-video-reviews'); ?>
                  </tooltip>
                </label>
                <div class="flex w-full">
                  <input type="text" text="" class="input-text " size="5" placeholder="Facebook ID" v-model="preference.optimization.social.facebook.id">
                </div>
              </div>
              <div class="mb-3 flex flex-col sm:flex-row" v-if="preference.optimization.social.twitter.show">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Twitter Username', 'easy-video-reviews'); ?>
                  <tooltip>
                    <?php echo esc_html__('Twitter username is basically the unique identity starts with @ and looks like @YOURNICKNAME', 'easy-video-reviews'); ?>
                  </tooltip>
                </label>
                <div class="flex w-full">
                  <input type="text" text="" class="input-text " size="5" placeholder="Twitter Username" v-model="preference.optimization.social.twitter.username">
                </div>
              </div>


              <div class="w-full mb-5 text-right">
                <button @click.prevent="savePreferences()" class="group py-2 text-gray-700  px-4  bg-gray-200 text-sm rounded-md hover:bg-blue-500 hover:text-white transition">
                  <loader v-if="preference.loading" class="mr-3"></loader>
                  <?php echo esc_html__('Save settings', 'easy-video-reviews'); ?>
                </button>
              </div>

            </section>

            <section v-if="subsection == 'forms'  && preference" class="px-3 pb-8">

              <div v-if="isPro">
                <div class="flex items-center mb-4 pt-4">
                  <h3 class="border-t border-gray-100 ">
                    <?php echo esc_html__('Form fields', 'easy-video-reviews'); ?>
                  </h3>
                  <tooltip>
                    <?php echo esc_html__('Collect more information about customer along with video review by creating custom form', 'easy-video-reviews'); ?>
                    <a href="#" class="button-theme small" @click.prevent="playTute('https://www.youtube.com/embed/Fep2Co_R-ws?list=PLd6WEu38CQSxMA9pvXN---uJYhwH9UwCw')"><?php echo esc_html__('Watch tutorial', 'easy-video-reviews'); ?></a>
                  </tooltip>
                </div>

                <div class="mb-4 block">

                  <div v-for="(form, index) in preference.forms">
                    <div class="evr-form-field-group my-6 bg-gray-100 border-gray-100 rounded-md shadow-sm block py-6 px-5 relative">
                      <div class="absolute top-2 right-2 text-gray-300 hover:text-red-500 cursor-pointer" title="Double click to remove" @dblclick.prevent="preference.forms.splice(index, 1)">
                        <i class="evr-icon">&#xe80d;</i>
                      </div>

                      <div class="flex sm:items-center w-full flex-col sm:flex-row mb-3">
                        <select v-model="form.type" class="input-text form-select mr-3 text-sm mb-2 sm:mb-0">
                          <option disabled><?php echo esc_html__('Form type', 'easy-video-reviews'); ?></option>
                          <option v-for="opt in ['text', 'number', 'email', 'date', 'time', 'textarea', 'select', 'checkbox', 'radio', 'range', 'hidden', 'message', 'rating']" :value="opt">{{opt.toUpperCase()}}</option>
                        </select>
                        <input type="text" v-show="!['message'].includes(form.type)" class="form-input input-text mr-2  mb-2 sm:mb-0 text-sm" placeholder="Field name" v-model="form.id">
                        <div class="flex items-center mb-2 sm:mb-0" v-show="!['message'].includes(form.type)"><input :id="'required_' + index" type="checkbox" class="form-checkbox mr-2 mt-4" v-model="form.required"> <label class="text-sm text-gray-500 " :for="'required_' + index"><?php echo esc_html__('Required', 'easy-video-reviews'); ?></label>
                        </div>
                      </div>

                      <div class="flex sm:items-center w-full flex-col sm:flex-row mb-3">

                        <input v-show="!['message'].includes(form.type)" type="text" class="input-text form-input mr-2  mb-2 sm:mb-0 text-sm" placeholder="Field label" v-model="form.label">

                        <select v-model="form.default" v-if="['select', 'radio'].includes(form.type)" class="input-text form-select text-sm mb-2 sm:mb-0">
                          <option value="null" disabled selected>
                            <?php echo esc_html__('Default option', 'easy-video-reviews'); ?></option>
                          <option v-for="opt in form.options" :value="opt.value">
                            {{opt.label && opt.label.length > 0 ? opt.label : '<?php echo esc_html__('Unnamed', 'easy-video-reviews'); ?>'}}
                          </option>
                        </select>

                        <div v-else class="flex items-center w-full">
                          <div v-if="['message'].includes(form.type)" class="flex flex-col w-full ">
                            <label for="" class="mb-1 text-gray-500">
                              <?php echo esc_html__('Message', 'easy-video-reviews'); ?>
                              <tooltip><?php echo esc_html__('Basic HTML5 is allowed', 'easy-video-reviews'); ?>
                              </tooltip>
                            </label>
                            <textarea rows="6" class="border border-gray-200 w-full block form-textarea mb-2 sm:mb-0 text-sm" placeholder="Default Message" v-model="form.default"></textarea>

                          </div>
                          <div v-else class="flex items-center w-full">
                            <input :type="['number', 'range'].includes(form.type) ? 'number' : 'text'" class="form-input input-text  mb-2 sm:mb-0 text-sm" placeholder="Default value" v-model="form.default">
                            <input v-if="!['select', 'range', 'radio', 'checkbox'].includes(form.type)" type="text" class="ml-2 input-text form-input mr-2  mb-2 sm:mb-0 text-sm" placeholder="Placeholder" v-model="form.placeholder">
                          </div>
                        </div>
                      </div>
                      <div v-if="['radio', 'select'].includes(form.type)">
                        <h4 class="text-gray-500 ">
                          <?php echo esc_html__('Options', 'easy-video-reviews'); ?></h4>
                        <div class="flex items-center mt-2" v-for="(opt, i) in form.options">
                          <input type="text" class="form-input input-text mr-2 mb-2 sm:mb-0 text-sm" placeholder="Option label" v-model="preference.forms[index].options[i].label">
                          <input type="text" class="input-text form-input mr-2  mb-2 sm:mb-0 text-sm" placeholder="Option value" v-model="preference.forms[index].options[i].value">
                          <div class="text-red-400 hover:bg-red-400 hover:text-white p-3 cursor-pointer" title="Delete option" @click.prevent="preference.forms[index].options.splice(i, 1)">
                            <i class="evr-icon">&#xe80d;</i>
                          </div>
                        </div>
                        <div class="text-right mt-2"><button class="px-3 py-1 rounded-sm bg-gray-200 text-xs hover:bg-blue-500 hover:text-white text-gray-600" @click.prevent="addOption(index)"><?php echo esc_html__('Add option', 'easy-video-reviews'); ?></button>
                        </div>
                      </div>
                      <div v-if="form.type == 'textarea'" class="flex sm:items-center w-full flex-col sm:flex-row mb-3">
                        <input type="text" class="input-text form-input mr-2  mb-2 sm:mb-0 text-sm" placeholder="Columns" v-model="form.cols">
                        <input type="text" class="form-input input-text  mb-2 sm:mb-0 text-sm" placeholder="Rows" v-model="form.rows">
                      </div>
                      <div v-if="['range', 'number', 'rating'].includes(form.type)" class="flex sm:items-center w-full flex-col sm:flex-row mb-3">
                        <input type="number" class="input-text form-input mr-2  mb-2 sm:mb-0 text-sm" placeholder="Minimum" v-model="form.min" :max="form.type == 'rating' ? 10 : false" :min="form.type == 'rating' ? 0 : false">
                        <input type="number" class="form-input input-text mb-2 sm:mb-0 text-sm" placeholder="Maximum" :class="form.type == 'range' ? 'mr-2' : ''" v-model="form.max" :max="form.type == 'rating' ? 10 : false" :min="form.type == 'rating' ? 0 : false">
                        <input type="number" v-if="form.type == 'range'" class="form-input input-text  mb-2 sm:mb-0 text-sm" placeholder="Step" v-model="form.step">
                      </div>
                    </div>
                  </div>

                  <div class="text-right">
                    <button @click.prevent="preference.forms.push({type: 'text', required: 0, default: '', label: ''})" class="py-1 px-3 bg-gray-200 text-xs text-gray-600 rounded-sm hover:bg-blue-500 hover:text-white transition" :class="{pro : !isPro}" :disabled="!isPro">
                      <?php echo esc_html__('Add field', 'easy-video-reviews'); ?>
                    </button>
                    <pro></pro>
                  </div>
                </div>

                <div class="w-full mb-5 text-right" v-if="isPro">
                  <button @click.prevent="savePreferences()" class="group py-2 text-gray-700  px-4 bg-gray-200 text-sm rounded-md hover:bg-blue-500 hover:text-white transition">
                    <loader v-if="preference.loading" class="mr-3"></loader>
                    <?php echo esc_html__('Save settings', 'easy-video-reviews'); ?>
                  </button>
                </div>
              </div>
              <div v-else>
                <div class="my-4 p-4 rounded-md bg-red-100 text-red-600 text-center">
                  <?php echo esc_html__('Upgrade your plan to edit/add form fields', 'easy-video-reviews'); ?></div>
              </div>

            </section>

            <section v-if="subsection == 'translations'" class="px-3  pb-8">

              <h3 class="text-md mb-2 ">
                <?php echo esc_html__('Translations', 'easy-video-reviews'); ?></h3>
              <div v-if="preference && preference.translations">
                <div class="mb-3 flex items-center">
                  <h4 class="w-1/2 "><?php echo esc_html__('Keyword', 'easy-video-reviews'); ?></h4>
                  <h4 class=""><?php echo esc_html__('Translation', 'easy-video-reviews'); ?>
                  </h4>
                  <tooltip><?php echo esc_html__('
                Easy translation for your video recorder, you can use UTF-8 format too ', 'easy-video-reviews'); ?>
                  </tooltip>
                  <pro class="ml-0"></pro>
                </div>

                <div class="mb-3 flex" v-for="(translation, key) in preference.translations">
                  <input type="text" class="input-text text-sm w-1/2 mr-2" readonly :value="key">
                  <input type="text" :readonly="!isPro" class="input-text text-sm w-1/2 mr-2" v-model="preference.translations[key]">
                </div>

                <div class="w-full mb-5 text-right" v-if="isPro">
                  <button @click.prevent="savePreferences()" class="group py-2 text-gray-700  px-4  bg-gray-200 text-sm rounded-md hover:bg-blue-500 hover:text-white transition">
                    <loader v-if="preference.loading" class="mr-3"></loader>
                    <?php echo esc_html__('Save settings', 'easy-video-reviews'); ?>
                  </button>
                </div>
              </div>
              <div v-else class="py-4 px-4 bg-gray-100 text-gray-600 text-italic border border-gray-200 shadow-sm rounded-md">
                <?php echo esc_html__('Translations not loaded', 'easy-video-reviews'); ?>
              </div>
            </section>

            <section v-if="subsection == 'tools'  && preference" class="px-3 pb-8">
              <h3 class="text-md mb-4 ">
                <?php echo esc_html__('Additional tools', 'easy-video-reviews'); ?></h3>
              <div class="mb-6 flex flex-col sm:flex-row">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Import settings', 'easy-video-reviews'); ?></label>
                <div class="w-full flex-col flex">
                  <div class="group relative w-full cursor-pointer ">
                    <label id="import_file" class="bg-blue-400 group-hover:bg-blue-200 text-white transition duration-100 font-bold py-3 px-4 w-36 inline-flex items-center justify-center text-center rounded-md">
                      <svg fill="#FFF" viewBox="0 0 24 24" class="h-4 w-4 fill-current" xmlns="http://www.w3.org/2000/svg">
                        <path d="M0 0h24v24H0z" fill="none" />
                        <path d="M9 16h6v-6h4l-7-7-7 7h4zm-4 2h14v2H5z" />
                      </svg>
                      <span class="ml-2"><?php echo esc_html__('Upload document', 'easy-video-reviews'); ?></span>
                    </label>
                    <input :disabled="importer.loading" id="file_importer" @input="importFileReady($el)" for="import_file" class="cursor-pointer absolute block h-full top-0 left-0 w-full opacity-0 pin-r pin-t" type="file" name="file" accept="">
                  </div>

                  <div v-if="importer.file" class="text-gray-500 my-2 text-xs text-italic">
                    {{importer.file}} <button class="bg-red-400 hover:bg-red-500 rounded-md font-bold text-white px-3 py-1" @click.prevent="removeFileImporter()">X</button>
                  </div>

                  <div class="w-full flex items-center">
                    <butto v-if="importer.file" @click.prevent="importFile()" :disabled="!importer.file" class="bg-gray-100 hover:bg-gray-200 text-gray-600 font-bold py-2 px-4 rounded inline-flex items-center">
                      <i v-if="!importer.loading" class="evr-icon">&#xe80c;</i>
                      <loader v-if="importer.loading" class="mr-3"></loader>
                      <span>{{importer.loading ? '<?php echo esc_html__('Importing...', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('Start Import', 'easy-video-reviews'); ?>'}}</span>
                    </butto>
                  </div>
                </div>
              </div>

              <div class="w-full block border-t border-gray-200 py-4"></div>

              <div class="mb-6 flex flex-col sm:flex-row">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Export settings', 'easy-video-reviews'); ?></label>
                <div class="w-full flex items-center">
                  <button @click.prevent="exportFile" class="bg-gray-100 hover:bg-gray-200 text-gray-600 font-bold py-2 px-4 rounded inline-flex items-center">

                    <loader v-if="exporting" class="mr-3"></loader> <i v-else class="evr-icon">&#xe80b;</i>
                    <span class="ml-2">{{exporting ? '<?php echo esc_html__('Exporting...', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('Export', 'easy-video-reviews'); ?>'}}</span>
                  </button>
                </div>
              </div>

              <div class="w-full block border-t border-gray-200 py-4"></div>

              <div class="mb-6 flex flex-col sm:flex-row">
                <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Reset settings', 'easy-video-reviews'); ?></label>
                <div class="w-full flex items-center">
                  <button @click.prevent="resetPreferences()" class="group py-2 text-white  px-4 bg-red-400  text-sm rounded-md hover:bg-red-500  transition">
                    <loader v-if="resetting" class="mr-3"></loader>
                    {{resetting ? '<?php echo esc_html__('Resetting..', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('Reset', 'easy-video-reviews'); ?>'}}
                  </button>
                </div>
              </div>

            </section>

            <section v-if="subsection == 'shortcodes'" class="px-3 pb-8">
              <h3 class="text-md mb-4 ">
                <?php echo esc_html__('Shortcode generator', 'easy-video-reviews'); ?></h3>

              <div class="flex flex-col md:flex-row w-full justify-start">
                <!-- shorcodes  -->
                <div class="w-full px-0 min-w-96 mb-4 sm:mb-0">
                  <div class="mb-2 font-normal text-md text-gray-400">
                    <?php echo esc_html__('Click on the code to copy', 'easy-video-reviews'); ?></div>
                  <code @click.prevent="copy_shortcode()" class="bg-gray-100 select-all inline-block my-2 text-xl text-red-600 py-3 px-4 rounded-sm">{{shortcode_rendered}}</code>


                  <div v-if="shortcode.type == 'button'">
                    <div class="mt-8 mb-2 font-normal text-md text-gray-400"><?php echo esc_html__('Preview', 'easy-video-reviews'); ?></div>
                    <div :class="`text-${shortcode.button.align}`">
                      <a @click.prevent="copy_shortcode()" href="javascript:;" class="no-underline  transition duration-100 py-2 px-4 rounded-sm hover:opacity-80" :class="`text-${shortcode.button.size}`" :style="`color: ${shortcode.button.color}; background: ${shortcode.button.bg}`">{{shortcode.button.text}}</a>
                    </div>
                  </div>
                </div>
                <div class="w-96 max-w-full bg-gray-100 px-4 py-4 rounded-md">
                  <h3 class="text-gray-600 text-md font-normal">
                    <?php echo esc_html__('Customization', 'easy-video-reviews'); ?></h3>

                  <div class="mb-3">
                    <label for="" class="label"><?php echo esc_html__('I want to display', 'easy-video-reviews'); ?></label>
                    <div class="flex items-center">
                      <button @click.prevent="shortcode.type = 'button'" class="text-md px-4 py-2 rounded-l-md" :class="shortcode.type == 'button' ? ['bg-blue-400', 'text-white'] : ['bg-gray-200', 'text-gray-500']">
                        <?php echo esc_html__('Button', 'easy-video-reviews'); ?>
                      </button>
                      <button @click.prevent="shortcode.type = 'showcase'" class="text-md px-4 py-2 rounded-r-md" :class="shortcode.type == 'showcase' ? ['bg-blue-400', 'text-white'] : ['bg-gray-200', 'text-gray-500']">
                        <?php echo esc_html__('Videos', 'easy-video-reviews'); ?>
                      </button>
                    </div>
                  </div>

                  <div v-if="shortcode.type == 'button'">
                    <!-- button  -->
                    <div class="mb-3">
                      <label class="label" for=""><?php echo esc_html__('Button text', 'easy-video-reviews'); ?></label>
                      <div class="flex items-center">
                        <input type="text" class="input-text" v-model="shortcode.button.text" placeholder="Button text">
                      </div>
                    </div>



                    <div class="mb-3">
                      <label class="label" for=""><?php echo esc_html__('Button Background Color', 'easy-video-reviews'); ?></label>
                      <div class="flex items-center">
                        <input type="color" class="p-0 h-9 w-16 mr-1 border-0 border-transparent ring-0 ring-trasparent" v-model="shortcode.button.bg">
                        <input type="text" class="input-text" v-model="shortcode.button.bg">
                      </div>
                    </div>

                    <div class="mb-3">
                      <label class="label" for=""><?php echo esc_html__('Button Color', 'easy-video-reviews'); ?></label>
                      <div class="flex items-center">
                        <input type="color" class="p-0 h-9 w-16 mr-1 border-0 border-transparent ring-0 ring-trasparent" v-model="shortcode.button.color">
                        <input type="text" class="input-text" v-model="shortcode.button.color">
                      </div>
                    </div>

                    <div class="mb-3">
                      <label class="label" for=""><?php echo esc_html__('Button size', 'easy-video-reviews'); ?></label>
                      <div class="flex items-center">
                        <select v-model="shortcode.button.size" class="form-select w-full">
                          <option value="4xl"><?php echo esc_html__('Extra extra large', 'easy-video-reviews'); ?>
                          </option>
                          <option value="2xl"><?php echo esc_html__('Extra large', 'easy-video-reviews'); ?></option>
                          <option value="xl"><?php echo esc_html__('Large', 'easy-video-reviews'); ?></option>
                          <option value=""><?php echo esc_html__('Normal', 'easy-video-reviews'); ?></option>
                          <option value="sm"><?php echo esc_html__('Small', 'easy-video-reviews'); ?></option>
                          <option value="xs"><?php echo esc_html__('Extra small', 'easy-video-reviews'); ?></option>
                        </select>
                      </div>
                    </div>

                    <div class="mb-3">
                      <label class="label" for=""><?php echo esc_html__('Button alignment', 'easy-video-reviews'); ?></label>
                      <div class="flex items-center">
                        <button @click.prevent="shortcode.button.align = 'left'" class="px-3 py-2 rounded-l-md hover:bg-blue-400 hover:text-white transition duration-100" :class="shortcode.button.align == 'left' ? ['bg-blue-400', 'text-white'] : ['bg-gray-200', 'text-gray-500']"><i class="dashicons dashicons-editor-alignleft"></i></button>
                        <button @click.prevent="shortcode.button.align = 'center'" class="px-3 py-2" :class="shortcode.button.align == 'center' ? ['bg-blue-400', 'text-white'] : ['bg-gray-200', 'text-gray-500']"><i class="dashicons dashicons-editor-aligncenter"></i></button>
                        <button @click.prevent="shortcode.button.align = 'right'" class="px-3 py-2 rounded-r-md" :class="shortcode.button.align == 'right' ? ['bg-blue-400', 'text-white'] : ['bg-gray-200', 'text-gray-500']"><i class="dashicons dashicons-editor-alignright"></i></button>
                      </div>
                    </div>

                    <div class="mb-3">
                      <label class="label" for=""><?php echo esc_html__('Button tag', 'easy-video-reviews'); ?></label>
                      <div class="flex items-center">
                        <input type="text" class="input-text" v-model="shortcode.tag" placeholder="Button Text">
                      </div>
                    </div>

                  </div>
                  <div v-else>
                    <!-- videos  -->
                    <div class="mb-3">
                      <label class="label" for=""><?php echo esc_html__('Maximum videos', 'easy-video-reviews'); ?></label>
                      <div class="flex items-center">
                        <input type="number" class="input-text appearance-none" max="100" min="1" v-model="shortcode.showcase.limit" placeholder="Button Text">
                      </div>
                    </div>

                    <div class="mb-3">
                      <label class="label" for=""><?php echo esc_html__('Videos tag', 'easy-video-reviews'); ?></label>
                      <div class="flex items-center">
                        <input type="text" class="input-text" v-model="shortcode.tag" placeholder="Button Text">
                      </div>
                    </div>

                    <div class="mb-3">
                      <label class="label" for=""><?php echo esc_html__('Video ID', 'easy-video-reviews'); ?></label>
                      <div class="flex items-center">
                        <input type="text" class="input-text" v-model="shortcode.showcase.id" placeholder="Video ID">
                      </div>
                    </div>

                  </div>

                </div>

              </div>
            </section>

          </div>

        </section>

        <section v-if="section == 'integrations'  && preference">
          <div v-if="preference" class="flex justify-between">

            <div class="min-h-screen w-48 border-l border-gray-300 bg-gray-100 flex flex-col text-left flex-wrap  sm:justify-start text-sm md:text-md">
              <a v-for="(label, menu) in {woocommerce: 'WooCommerce', edd: 'Easy Digital Downloads'}" :href="`#integrations/${menu}`" class="w-auto sm:w-30 py-3 transition hover:text-gray-500 hover:bg-white   :bg-gray-100 focus:border-0 focus:ring-0 px-4" :class="integration_subsection == menu ? ['text-gray-500', 'bg-white', ''] : ['text-gray-400']" @click="integration_subsection = menu">{{label}}</a>
            </div>

            <div class="w-full px-3">

              <section v-if="integration_subsection == 'woocommerce'" :class="{woocommerce_not_installed: isPro && !woocommerce}">

                <h3 class="mb-4 "><?php echo esc_html__('WooCommerce', 'easy-video-reviews'); ?> <pro>
                  </pro>
                </h3>
                <div class="w-full mb-4 flex flex-col sm:flex-row ">
                  <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('After Order Complete', 'easy-video-reviews'); ?></label>
                  <div class="flex flex-col w-full">
                    <div class="mb-4 flex items-center">
                      <div class=" switch evr-inline "><input :disabled="!isPro" v-model="preference.woocommerce.order_complete.button" type="checkbox" id="woocommerce_order_complete_button" /><label for="woocommerce_order_complete_button"></label></div>
                      <label for="woocommerce_order_complete_button" class="text-sm text-gray-600 " :class="isPro ? '' : 'pro'"><?php echo esc_html__('Show Review Button', 'easy-video-reviews'); ?>
                      </label>
                      <tooltip>
                        <?php echo esc_html__('Show video review on completing WooCommerce order in thank you page. This recorder will collect video reviews as product video review ', 'easy-video-reviews'); ?>
                        <div><a href="#" class="button-theme small" @click.prevent="playTute('https://www.youtube.com/embed/lsVTDeqoXS8?list=PLd6WEu38CQSxMA9pvXN---uJYhwH9UwCw')"><?php echo esc_html__('Watch tutorial', 'easy-video-reviews'); ?></a>
                        </div>
                      </tooltip>
                    </div>
                    <div class="mb-4 flex items-center">
                      <div class="switch evr-inline "><input :disabled="!isPro" v-model="preference.woocommerce.order_complete.email" type="checkbox" id="woocommerce_order_complete_email" /><label for="woocommerce_order_complete_email"></label>
                      </div>
                      <label for="woocommerce_order_complete_email" class="text-sm text-gray-600 " :class="isPro ? '' : 'pro'"><?php echo esc_html__('Ask for review in thank you email', 'easy-video-reviews'); ?>
                      </label>
                      <tooltip>
                        <?php echo esc_html__('Ask your customer for video review in thank you email after purhasing', 'easy-video-reviews'); ?>
                        <div><a href="#" class="button-theme small" @click.prevent="playTute('https://www.youtube.com/embed/lsVTDeqoXS8?list=PLd6WEu38CQSxMA9pvXN---uJYhwH9UwCw')"><?php echo esc_html__('Watch tutorial', 'easy-video-reviews'); ?></a>
                        </div>
                      </tooltip>
                    </div>
                  </div>
                </div>


                <div class="mt-8 w-full mb-4 flex flex-col sm:flex-row">
                  <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Single product page', 'easy-video-reviews'); ?></label>
                  <div class="flex flex-col w-full">
                    <div class="mb-4 flex items-center">
                      <div class=" switch evr-inline "><input :disabled="!isPro" v-model="preference.woocommerce.single_product.button" type="checkbox" id="woocommerce_single_product_button" /><label for="woocommerce_single_product_button"></label></div>
                      <label for="woocommerce_single_product_button" class="text-sm text-gray-600 " :class="isPro ? '' : 'pro'"><?php echo esc_html__('Show review button', 'easy-video-reviews'); ?>
                      </label>
                      <tooltip>
                        <?php echo esc_html__('Show video review button on single product page. The reocorder will collect video review as product Review', 'easy-video-reviews'); ?>
                        <div><a href="#" class="button-theme small" @click.prevent="playTute('https://www.youtube.com/embed/lsVTDeqoXS8?list=PLd6WEu38CQSxMA9pvXN---uJYhwH9UwCw')"><?php echo esc_html__('Watch tutorial', 'easy-video-reviews'); ?></a>
                        </div>
                      </tooltip>
                    </div>
                    <div class="mb-4 flex items-center">
                      <div class=" switch evr-inline "><input :disabled="!isPro" v-model="preference.woocommerce.single_product.showcase.show" type="checkbox" id="woocommerce_single_product_show" /><label for="woocommerce_single_product_show"></label>
                      </div>
                      <label for="woocommerce_single_product_show" class="text-sm text-gray-600 " :class="isPro ? '' : 'pro'"><?php echo esc_html__('Show videos', 'easy-video-reviews'); ?>
                      </label>
                      <tooltip>
                        <?php echo esc_html__('Show product video reviews on single product page', 'easy-video-reviews'); ?>
                        <div><a href="#" class="button-theme small" @click.prevent="playTute('https://www.youtube.com/embed/lsVTDeqoXS8?list=PLd6WEu38CQSxMA9pvXN---uJYhwH9UwCw')"><?php echo esc_html__('Watch tutorial', 'easy-video-reviews'); ?></a>
                        </div>
                      </tooltip>
                    </div>
                  </div>
                </div>

                <div v-if="preference.woocommerce.single_product.showcase.show" class="mb-4 flex flex-col sm:flex-row sm:items-center">
                  <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Show maximum', 'easy-video-reviews'); ?></label>
                  <tooltip>
                    <?php echo esc_html__('Maximum videos to show in single product page', 'easy-video-reviews'); ?>
                    <a href="#" class="button-theme small" @click.prevent="playTute('https://www.youtube.com/embed/lsVTDeqoXS8?list=PLd6WEu38CQSxMA9pvXN---uJYhwH9UwCw')"><?php echo esc_html__('Watch tutorial', 'easy-video-reviews'); ?></a>
                  </tooltip>
                  <div class="w-full">
                    <input type="number" class="input-text input-range border-gray-100 rounded-md px-3 py-2" size="3" placeholder="Showcase video limit" v-model="preference.woocommerce.single_product.showcase.limit" />
                    <span class="ml-3 text-gray-400"><?php echo esc_html__('videos', 'easy-video-reviews'); ?></span>
                  </div>
                </div>

              </section>


              <!-- edd  -->
              <section v-if="integration_subsection == 'edd'" :class="{edd_not_installed: isPro && !edd}">

                <h3 class="mb-4 ">
                  <?php echo esc_html__('Easy Digital Downloads', 'easy-video-reviews'); ?> <pro></pro>
                </h3>
                <div class="w-full mb-4 flex flex-col sm:flex-row">
                  <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('After order complete', 'easy-video-reviews'); ?></label>
                  <div class="flex flex-col w-full">
                    <div class="mb-4 flex items-center">
                      <div class=" switch evr-inline "><input :disabled="!isPro" v-model="preference.edd.order_complete.button" type="checkbox" id="edd_order_complete_button" /><label for="edd_order_complete_button"></label></div>
                      <label for="edd_order_complete_button" class="text-sm text-gray-600 " :class="isPro ? '' : 'pro'"><?php echo esc_html__('Show Review button', 'easy-video-reviews'); ?></label>


                      <tooltip>
                        <?php echo esc_html__('Show video review button on completing order on EDD purchase complete page', 'easy-video-reviews'); ?>
                        <div></div>
                      </tooltip>
                    </div>
                    <div class="mb-4 flex items-center">
                      <div class=" switch evr-inline "><input :disabled="!isPro" v-model="preference.edd.order_complete.email" type="checkbox" id="edd_order_complete_email" /><label for="edd_order_complete_email"></label></div>
                      <label for="edd_order_complete_email" class="text-sm text-gray-600 " :class="isPro ? '' : 'pro'"><?php echo esc_html__('Ask for review in thank you email', 'easy-video-reviews'); ?>
                      </label>
                      <tooltip>
                        <?php echo esc_html__('Ask your customer for review in purchase complete email', 'easy-video-reviews'); ?>
                        <div>
                          <a href="#" class="button-theme small" @click.prevent="playTute('https://www.youtube.com/embed/rKm40w-jz8g?list=PLd6WEu38CQSxMA9pvXN---uJYhwH9UwCw')"><?php echo esc_html__('Watch tutorial', 'easy-video-reviews'); ?></a>
                        </div>
                      </tooltip>
                    </div>
                  </div>
                </div>

              </section>


              <!-- email template  -->
              <section v-if="['woocommerce', 'edd'].includes(integration_subsection)" class="mt-6 mb-4">
                <h3><?php echo esc_html__('Email Settings', 'easy-video-reviews'); ?>
                  <tooltip>
                    <?php echo esc_html__('The message will be append at the footer of thank you email.', 'easy-video-reviews'); ?>
                  </tooltip>
                </h3>
                <div class="mb-4 flex flex-col sm:flex-row">
                  <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3 flex flex-col"><?php echo esc_html__('Email Message', 'easy-video-reviews'); ?></label>
                  <div class="w-full">
                    <textarea :class="{pro: !isPro}" :readonly="!isPro" type="text" class="input-text input-text border-gray-100 rounded-md px-3 py-2" size="3" placeholder="Add message to be included after thank you email" v-model="preference.email.message">
                        </textarea>
                    <small class="text-gray-400 block"><?php echo esc_html__('Place {button} where you wanna show the button, or place simply {url} to show the url', 'easy-video-reviews'); ?></small>
                  </div>
                </div>

                <div class="mb-4 flex flex-col sm:flex-row sm:items-center">
                  <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Button label', 'easy-video-reviews'); ?></label>
                  <div class="w-full">
                    <input :class="{pro: !isPro}" :readonly="!isPro" type="text" class="input-text border-gray-100 rounded-md px-3 py-2" placeholder="Button label" v-model="preference.email.button.text" />
                  </div>
                </div>

                <div class="mb-4 flex flex-col sm:flex-row sm:items-center">
                  <label for="" class="text-sm text-gray-500 mb-1 sm:mb-0 w-1/2 sm:w-1/3"><?php echo esc_html__('Button Style', 'easy-video-reviews'); ?></label>
                  <div class="w-full flex items-center gap-2 sm:gap-4">
                    <div>
                      <label for="">Color</label>
                      <input :class="{pro: !isPro}" :readonly="!isPro" type="color" class="input-text border-gray-100 rounded-md p-0 h-10" size="3" v-model="preference.email.button.color" />
                    </div>
                    <div>
                      <label for="">Background</label>
                      <input :class="{pro: !isPro}" :readonly="!isPro" type="color" class="input-text border-gray-100 rounded-md p-0 h-10" size="3" v-model="preference.email.button.bg" />
                    </div>
                    <div>
                      <label for="">Size</label>
                      <input :class="{pro: !isPro}" :readonly="!isPro" type="number" min="8" max="72" class="input-text border-gray-100 rounded-md p-0 h-10" size="2" v-model="preference.email.button.size" />
                    </div>
                  </div>
                </div>


              </section>

              <div class="w-full pb-6 text-right">
                <button @click.prevent="savePreferences()" class="group py-2 text-gray-700  px-4  bg-gray-200 text-sm rounded-md hover:bg-blue-500 hover:text-white transition">
                  <loader v-if="preference.loading" class="mr-3"></loader>
                  <?php echo esc_html__('Save settings', 'easy-video-reviews'); ?>
                </button>
              </div>
            </div>



          </div>
          <div v-else>
            <?php echo esc_html__('Preference not loaded yet', 'easy-video-reviews'); ?></div>
      </div>
      </section>

      <!-- affiliates  -->
      <section v-if="section == 'affiliates' && affiliate" class="py-2 pb-6">

        <div v-if="affiliate.loading">
          <div class="text-center bg-gray-100 rounded-sm px-4 py-4 border border-gray-200">
            <loader></loader> <span class="ml-2">Loading affilate data</span>
          </div>
        </div>
        <div v-else>


          <div v-if="!affiliate.affiliate_id" class="text-center">
            <h3 class="text-lg mb-4 text-gray-500 text-center ">
              <?php echo esc_html__('Affiliates program', 'easy-video-reviews'); ?></h3>
            <div class="text-lg text-gray-500">{{affiliate.message}}</div>
            <div class="my-3 w-72 mx-auto text-center" v-if="affiliate.edit_payment_email">
              <label for="" class="text-gray-600 text-center mb-2"></label>
              <input type="text" id="evr_payment_email" class="form-input input-text text-sm border border-red-200" placeholder="yourself@email.com" v-model="affiliate.payment_email">
            </div>
            <button @click.prevent="activateAffiliate()" class="group mt-4 py-2 bg-blue-400 text-white px-4 inset-0 shadow-sm hover:bg-blue-500 rounded-sm text-lg">
              <loader v-show="affiliate.activating" class="mr-2"></loader>
              {{affiliate.activating ? '<?php echo esc_html__('Activating...', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('Activate Affiliate', 'easy-video-reviews'); ?>'}}
            </button>
          </div>

          <div v-else>

            <div class="text-center mt-4 mb-6">
              <a href="https://wppool.dev/affiliate-area/" class="group mt-4 py-2 bg-blue-400 text-white px-4 hover:text-white inset-0 shadow-sm hover:bg-blue-500 rounded-sm text-lg" target="_blank"><?php echo esc_html__('Access to affiliate area', 'easy-video-reviews'); ?></a>
            </div>

            <div class="text-center">

              <div class="text-gray-400 mt-4">
                <?php echo esc_html__('Reference URL is', 'easy-video-reviews'); ?>

              </div>
              <div @click.prevent="copyReferenceURL()" class="my-2 select-all bg-gray-100 px-5 py-2 rounded-md text-sm sm:text-xl text-gray-500 dark:text-gray-400 inline-flex items-center justify-center">
                {{remoteHost}}?ref={{affiliate.affiliate_id}}
              </div>
              <div class="pb-2 text-gray-500 text-sm">
                <?php echo esc_html__('Earn 25% of each product sale we make', 'easy-video-reviews'); ?>
              </div>
            </div>



          </div>
        </div>
    </div>

  </div>

  </section>
  <!-- billing  -->

  <!-- subscription  -->
  <section v-if="section == 'subscription' && profile && profile.subscription">

    <!-- new pricing plan  -->

    <div v-if="isPro" class="mt-6 flex flex-col sm:flex-row items-center justify-center sm:items-start sm:justify-between px-10 sm:px-14">
      <div class="w-full sm:w-1/2 md:w-1/3 mb-6 sm:mb-0 text-center">
        <div class="w-52 h-52 flex items-center flex-col rounded-full justify-center bg-gray-50 border border-gray-200 leading-loose">
          <span class="text-gray-400 "><?php echo esc_html__('You\'re paying', 'easy-video-reviews'); ?></span><strong class="text-4xl font-semibold tracking-wide my-4">${{profile ? Number(profile.subscription.amount).toFixed(2) : '0.00'}}</strong><span class="text-sm text-gray-400">{{profile && profile.subscription ?  profile.subscription.interval : 'monthly'}}</span>
        </div>
      </div>
      <div class="w-full sm:w-1/2 md:w-2/2">
        <div class="bg-gray-50 p-6 text-sm leading-loose">
          <strong class="text-xl mb-2"><?php echo esc_html__('Current Subscription', 'easy-video-reviews'); ?></strong>
          <div><?php echo esc_html__('Plan', 'easy-video-reviews'); ?> <strong>{{clientPackageName}}</strong></div>
          <div><?php echo esc_html__('Started on', 'easy-video-reviews'); ?>
            <strong>{{profile ? profile.subscription.started : ''}}</strong>
          </div>
          <div>
            {{profile.subscription.websites > 1 ? '<?php echo esc_html__('Upto ', 'easy-video-reviews'); ?>' + profile.subscription.websites + ' websites' : profile.subscription.websites == -1 ? '<?php echo esc_html__('Unlimited websites', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('Only 1 website', 'easy-video-reviews'); ?>'}}
          </div>
          <div><?php echo esc_html__('Upto', 'easy-video-reviews'); ?>
            <strong>{{getMinutes(profile.subscription.limits) }}</strong>
            <?php echo esc_html__('minutes recording', 'easy-video-reviews'); ?>
          </div>
          <div>
            {{profile.subscription.max_videos == -1 ? '<?php echo esc_html__('Unlimited ', 'easy-video-reviews'); ?>' : ' <?php echo esc_html__('Upto ', 'easy-video-reviews'); ?> ' +  profile.subscription.max_videos}}
            <?php echo esc_html__('video reviews', 'easy-video-reviews'); ?>
          </div>
          <!-- <div>Billing Cycle <strong class="capitalize">Per {{profile.subscription.interval}}</strong></div> -->
          <div><?php echo esc_html__('Billing', 'easy-video-reviews'); ?>
            <span v-if="Number(profile.subscription.flat_price) > 0 || Number(profile.subscription.unit_price) == 0">
              <strong class="capitalize">${{profile.subscription.flat_price}}</strong>/{{profile.subscription.interval}}</span>
            <span v-if="Number(profile.subscription.flat_price) > 0 && Number(profile.subscription.unit_price) > 0">
              <?php echo esc_html__('and', 'easy-video-reviews'); ?> </span>
            <span v-if="Number(profile.subscription.unit_price) > 0"><strong class="capitalize">${{profile.subscription.unit_price}}</strong>/<?php echo esc_html__('video', 'easy-video-reviews'); ?>/{{profile.subscription.interval}}</span>
          </div>

          <div class="mt-4 flex items-center" v-if="profile && profile.subscription && profile.subscription.id">
            <button class="button-theme bg-red-400 hover:bg-red-500" @click.prevent="cancelSubscription"><?php echo esc_html__('Cancel subscription', 'easy-video-reviews'); ?></button>
          </div>
        </div>
      </div>
    </div>

    <div class="mt-6 flex items-center flex-col min-h-screen text-sm">
      <div class="text-5xl font-bold ">
        <?php echo esc_html__('Other Plans', 'easy-video-reviews') ?></div>
      <p class="text-gray-500 text-lg">
        <?php echo esc_html__('Its time to getting warmed. Choose perfect plan for your website today', 'easy-video-reviews') ?>
      </p>

      <!-- billing cycle toggler  -->
      <div class="my-4 p-0.5 inline-flex items-center justify-center bg-billing-cycle text-white rounded-md">
        <button @click.prevent="package_options.interval = 'month'" :class="package_options.interval == 'month' ? ['bg-white', '', 'text-gray-700', ''] : ['bg-transparent', 'text-white']" class="py-3 px-8 mr-0.5 rounded-md cursor-pointer text-md font-semibold tracking-wide "><?php echo esc_html__('Monthly billing', 'easy-video-reviews'); ?></button>
        <button @click.prevent="package_options.interval = 'year'" :class="package_options.interval == 'year' ? ['bg-white', '','text-gray-700', ''] : ['bg-transparent', 'text-white']" class="py-3 px-8 rounded-md cursor-pointer text-md font-semibold tracking-wide  "><?php echo esc_html__('Yearly billing', 'easy-video-reviews'); ?></button>
      </div>

      <!-- plans  -->

      <div class="flex flex-col sm:flex-row items-start justify-center my-6 gap-2 w-screen-lg">
        <!-- single plan  -->
        <div class="single_plan w-full sm:w-1/3 bg-white princing_plan shadow-sm rounded-md p-6 relative">

          <!-- bagde  -->
          <h2 class="my-0 fond-bold text-md ">{{freePlan.name}}</h2>
          <!-- pricing  -->
          <div class="py-6 font-bold">
            <div><span class="text-gray-400"></span><strong class="text-4xl font-semibold tracking-wide">$0.00</strong><strong class="text-gray-400">/{{package_options.interval}}</strong></div>
          </div>

          <!-- features  -->
          <div class="block h-0.5 my-4 w-full bg-gray-200 rounded-full"></div>
          <div class="">
            <strong class="block uppercase font-bold tracking-wide  pb-2"><?php echo esc_html__('Whats included', 'easy-video-reviews') ?></strong>
            <ul class=" leading-loose ">
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('All free features', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('Upto ', 'easy-video-reviews'); ?> <strong class="font-bold mx-1">{{getMinutes(freePlan.limits)}}</strong>
                <?php echo esc_html__('minutes', 'easy-video-reviews'); ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                {{freePlan.websites == -1 ? '<?php echo esc_html__('Unlimited websites', 'easy-video-reviews'); ?>' :
                              '<?php echo esc_html__('Upto ', 'easy-video-reviews'); ?>' + (freePlan.websites > 1? freePlan.websites + ' <?php echo esc_html__('websites', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('1 website', 'easy-video-reviews'); ?>')}}
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                {{freePlan.max_quantity == -1 ? '<?php echo esc_html__('Unlimited videos', 'easy-video-reviews'); ?>' :
                              ' <?php echo esc_html__('Upto ', 'easy-video-reviews'); ?>' + freePlan.max_quantity + " <?php echo esc_html__('videos', 'easy-video-reviews'); ?>"}}
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked> For {{freePlan.max_quantity}}+,
                <?php echo esc_html__('Upgrade to next plan', 'easy-video-reviews'); ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('Shortcodes', 'easy-video-reviews') ?> <tooltip class="mt-1.5">
                  <?php echo esc_html__('Using shortcodes, you can create recorder buttons and video showcases ', 'easy-video-reviews'); ?>
                </tooltip>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked class="mr-1"></marked> <?php echo esc_html__('Custom Form', 'easy-video-reviews') ?>
                <tooltip class="mt-1.5">
                  <?php echo esc_html__('Using custom form you can collect more information including video review', 'easy-video-reviews'); ?>
                </tooltip>
              </li>

              <li class="flex items-center text-gray-500 ">
                <marked class="mr-1"></marked> <?php echo esc_html__('Custom Style', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked class="mr-1"></marked> <?php echo esc_html__('Custom Translation', 'easy-video-reviews') ?>
                <tooltip class="mt-1.5">
                  <?php echo esc_html__('Translate your recorder to any language, with your custom words', 'easy-video-reviews'); ?>
                </tooltip>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked class="mr-1"></marked> <?php echo esc_html__('Social Shares', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked class="mr-1"></marked> <?php echo esc_html__('Embedable Video', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked class="mr-1"></marked> <?php echo esc_html__('EDD Integrations', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked class="mr-1"></marked><?php echo esc_html__('Elementor Widgets', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked class="mr-1"></marked> <?php echo esc_html__('Gutenberg Blocks', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked class="mr-1"></marked>
                <?php echo esc_html__('Upload Pre-recorder Videos', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked class="mr-1"></marked>
                <?php echo esc_html__('WooCommerce Integrations', 'easy-video-reviews') ?>
              </li>
            </ul>
          </div>

          <!-- footer  -->

          <div class="block h-0.5 my-4 w-full bg-gray-200 rounded-full"></div>

          <div>

          </div>
        </div>
        <div v-for="(package, i) in packages" v-show="package.name.toString().toUpperCase().search('FREE') == -1 && package.billing_cycle == package_options.interval" class="single_plan w-full sm:w-1/3  bg-white princing_plan shadow-sm rounded-md p-6 relative">

          <!-- bagde  -->
          <h2 class="my-0 fond-bold text-md ">{{package.name}}</h2>
          <!-- pricing  -->
          <div class="py-6 font-medium">
            <div class="flex items-center"><span class="text-gray-400"></span> <strong v-if="discount(package.flat_price, package) > 0" class="text-gray-400 line-through text-2xl font-normal tracking-wide ">${{package.flat_price}}</strong><strong class="text-4xl font-semibold tracking-wide">${{package.flat_price - discount(package.flat_price, package)}}</strong><strong class="text-gray-400">/{{package.billing_cycle}}</strong></div>
          </div>

          <!-- features  -->
          <div class="block h-0.5 my-4 w-full bg-gray-200 rounded-full"></div>
          <div class="">
            <strong class="block uppercase font-bold tracking-wide  pb-2"><?php echo esc_html__('Whats included', 'easy-video-reviews') ?></strong>
            <ul class=" leading-loose ">
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('All free features', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('Upto ', 'easy-video-reviews'); ?> <strong class="font-bold mx-1">{{getMinutes(package.limits)}}</strong>
                <?php echo esc_html__('minutes', 'easy-video-reviews'); ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                {{package.websites == -1 ? '<?php echo esc_html__('Unlimited Websites', 'easy-video-reviews'); ?>' :
                              'Upto ' + (package.websites > 1? package.websites + ' <?php echo esc_html__('websites', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('1 website', 'easy-video-reviews'); ?>')}}
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                {{package.max_quantity == -1 ? '<?php echo esc_html__('Unlimited Videos', 'easy-video-reviews'); ?>' :
                              'Upto ' + (package.max_quantity > 1? package.max_quantity + ' <?php echo esc_html__('videos', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('1 video', 'easy-video-reviews'); ?>')}}
              </li>
              <li class="flex items-center text-gray-500 " v-if="Number(package.unit_price) > 0">
                <marked checked="true" class="mr-1"></marked>For {{package.max_quantity}}+,
                ${{Number(package.unit_price).toFixed(2)}}/video/{{package.billing_cycle}}
              </li>
              <li class="flex items-center text-gray-500 " v-else>
                <marked checked="true" class="mr-1"></marked>For {{package.max_quantity}},
                <?php echo esc_html__('Move to Next Plan', 'easy-video-reviews'); ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('Shortcodes', 'easy-video-reviews') ?> <tooltip class="mt-1.5">
                  <?php echo esc_html__('Using shortcodes, you can create Recorder Buttons and Video Showcases ', 'easy-video-reviews'); ?>
                </tooltip>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked :checked="package.features.form" class="mr-1"></marked>
                <?php echo esc_html__('Custom Form', 'easy-video-reviews') ?> <tooltip class="mt-1.5">
                  <?php echo esc_html__('Using custom form you can collect more information including video review', 'easy-video-reviews'); ?>
                </tooltip>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked :checked="package.features.style" class="mr-1"></marked>
                <?php echo esc_html__('Custom Style', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('Custom Translation', 'easy-video-reviews') ?> <tooltip class="mt-1.5">
                  <?php echo esc_html__('Translate your recorder to any language, with your custom words', 'easy-video-reviews'); ?>
                </tooltip>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('Social Shares', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('Embedable Video', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('EDD Integrations', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('Elementor Widgets', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('Gutenberg Blocks', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked :checked="package.features.upload" class="mr-1"></marked>
                <?php echo esc_html__('Upload Pre-recorder Videos', 'easy-video-reviews') ?>
              </li>
              <li class="flex items-center text-gray-500 ">
                <marked checked="true" class="mr-1"></marked>
                <?php echo esc_html__('WooCommerce Integrations', 'easy-video-reviews') ?>
              </li>
            </ul>
          </div>

          <!-- footer  -->

          <div class="block h-0.5 my-4 w-full bg-gray-200 rounded-full"></div>

          <div>
            <div class="my-3 flex items-center justify-between" v-if="package.is_dynamic">
              <span class="text-xs" v-show="Number(package.flat_price) > 0 && Number(package.unit_price) > 0"><?php echo esc_html__('After', 'easy-video-reviews'); ?></span>
              <div class="text-center" v-if="package.unit_price > 0">
                <span class="text-center font-bold text-lg ">${{package.unit_price}} </span>
                <span class="text text-gray-500">/video/{{package.billing_cycle}}</span>
              </div>
            </div>

            <div class="text-2xl my-3 text-normal tracking-wide text-center text-blue-400" v-if="discount(approximateAmount(package), package) > 0">
              <?php echo esc_html__('You save', 'easy-video-reviews'); ?> <span class="">${{discount(approximateAmount(package), package)}}!</span></div>
            <div class="text-md text-center my-4 text-sm" v-show="package.unit_price && review.items ">
              <?php echo esc_html__('Approximately Billing is', 'easy-video-reviews'); ?> <span class="">${{(approximateAmount(package) - discount(approximateAmount(package), package)).toFixed(3)}}</span>
            </div>

            <button :disabled="clientPackage.id == package.id" @click.prevent="startPlan(package.id)" class="mt-2 w-full block bg-gray-700 text-gray-200 text-sm font-bold tracking-wide py-2.5 px-4 rounded-sm hover:bg-gray-800">{{clientPackage.id == package.id ? 'Current Package'
                            : choosenPackage == package.id ? '<?php echo esc_html__('Upgrading...', 'easy-video-reviews'); ?>' : (isPro ? '<?php echo esc_html__('Upgrade', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('Activate', 'easy-video-reviews'); ?>' )}}</button>
          </div>
        </div>
      </div>

      <div>
        <img class="max-w-full w-96 m-auto" src="<?php echo esc_url(plugin_dir_url(EVR_HANDLER_FILE) . 'public/images/secure-payment.png'); ?>" alt="">
      </div>

      <div class="flex items-center justify-center flex-col  py-12 px-6">
        <button class="text-lg bg-blue-400 text-white hover:bg-blue-500 px-4 py-2 flex items-center justify-center rounded-sm" @click.prevent="customQuota"><?php echo esc_html__('Need custom quota?', 'easy-video-reviews'); ?></button>
      </div>

    </div>
  </section>
  <!-- subscription -->
</div>


<!-- wrapper ends  -->

</div>

</div>
</div>

<style>
  #wpfooter {
    position: relative;
  }

  #wpcontent {
    padding: 15px;
  }

  #wpbody-content {
    padding-bottom: 20px;
  }
</style>
<?php

add_filter('admin_footer_text', function ($footer) {
  return '<div class="text-gray-400">' . esc_html__('Thank you for choosing Easy Video Reviews', 'easy-video-reviews') . '</div>';
})

?>