<div class="wrap m-0 evr-wrapper">
  <!-- wrapper starts  -->
  <div class="get-started flex items-center justify-center h-screen" id="evr_getstarted">
    <!-- form  -->
    <div class="px-4 sm:px-8 md:mx-12 lg:px-16 py-3 sm:py-6 md:py-8 w-full rounded-md sm:w-96  bg-white sm:shadow-xl sm:inset-6 via-gray-600">
      <h3 class="mb-2 uppercase tracking-wide text-2xl text-blue-500 font-bold">
        <span class="text-xs text-gray-400 flex items-center"><img class="w-6 mr-2" src="<?php echo esc_url(plugin_dir_url(EVR_HANDLER_FILE)); ?>public/images/evr.svg" alt=""> <?php echo esc_html__('Welcome to', 'easy-video-reviews'); ?>
        </span>
        <?php echo esc_html__('Easy Video Reviews', 'easy-video-reviews'); ?>
      </h3>
      <p href="#" class="py-2 text-gray-500 text-sm" v-show="screen == 'signup'">
        <?php echo esc_html__('It\'s just a 10 seconds job to get started with Easy Video Reviews', 'easy-video-reviews'); ?>
      </p>

      <!-- signup  -->
      <form @submit.prevent="signup" v-if="screen == 'signup'">
        <p href="#" class="text-gray-500 text-sm mb-2">
          <?php echo esc_html__('Already have an account?', 'easy-video-reviews'); ?>
          <a href="#" class="text-blue-500 hover:text-blue-500 cursor-pointer" @click.prevent="screen = 'signin'">Sign In</a>
        </p>

        <div class="flex flex-col mt-5 mb-3">
          <label for="" class="mb-1 block text-gray-500"><?php echo esc_html__('Name', 'easy-video-reviews'); ?></label>
          <div class="flex w-full">
            <input type="text" class="w-1/2 form-input login-input mr-1" placeholder="First Name *" v-model="form.signup.first_name" required />
            <input type="text" class="w-1/2 form-input login-input ml-1" placeholder="Last Name" v-model="form.signup.last_name" />
          </div>
        </div>
        <div class="mb-3">
          <label for="" class="mb-1 block text-gray-500"><?php echo esc_html__('Email', 'easy-video-reviews'); ?></label>
          <input type="email" class="form-input login-input block w-full" :class="form.signup.error == 'email' || (form.signup.email && !isEmail(form.signup.email)) ? 'border-error': ''" placeholder="Enter email *" v-model="form.signup.email" required @input="form.signup.error = false" />
          <p class="text-xs pt-1 text-red-600" v-show="form.signup.error == 'email'">
            Email Arleady Exists
            <a href="#" @click.prevent="screen = 'reset'" class="text-blue-400"><?php echo esc_html__('Reset Password', 'easy-video-reviews'); ?></a>
          </p>
        </div>
        <div class="mb-3">
          <label for="" class="mb-1 block text-gray-500"><?php echo esc_html__('Password', 'easy-video-reviews'); ?></label>
          <input type="password" class="form-input login-input block w-full" placeholder="Enter Password *" v-model="form.signup.password" :class="form.signup.password && form.signup.password.length < 8 ? 'border-error' : ''" required />
          <error v-show="!validPassword" message="Password Must have atleast 8 characters"></error>
        </div>
        <div class="mb-3">
          <label for="" class="mb-1 block text-gray-500"><?php echo esc_html__('Retype Password', 'easy-video-reviews'); ?></label>
          <input type="password" v-model="form.signup.password2" class="form-input login-input block w-full" placeholder="Enter Password Again *" :class="form.signup.password && form.signup.password2 && form.signup.password !== form.signup.password2 ? 'border-error' : ''" required />
          <error v-show="form.signup.password && form.signup.password2 && form.signup.password !== form.signup.password2" message="Password didn't match"></error>
        </div>

        <div class="mb-3">
          <label for="" class="mb-1 block text-gray-500"><?php echo esc_html__('Affiliate ID (If any)', 'easy-video-reviews'); ?></label>
          <input type="text" v-model="form.signup.reference" class="form-input login-input block w-full" placeholder="Affiliate ID" />
        </div>

        <div class="py-3 px-4 bg-red-100 text-gray-800 rounded-sm text-center" v-show="form.signup.error && !['password', 'email'].includes(form.signup.error)">{{form.signup.error}}</div>

        <div class="mt-4">
          <button :disabled="form.reset.loading" class="disabled:opacity-50 group bg-blue-500 px-4 py-2 text-white hover:bg-blue-600">
            <loader class="mr-2" v-show="form.signup.loading"></loader>
            <span><?php echo esc_html__('Get Started', 'easy-video-reviews'); ?></span>
          </button>
        </div>
      </form>


      <!-- login  -->
      <form @submit.prevent="signin" v-if="screen=='signin'">
        <p href="#" class="text-gray-500 text-sm py-2">
          <?php echo esc_html__('Don\'t have any account?', 'easy-video-reviews'); ?>
          <a href="#" class="text-blue-500 hover:text-blue-500 cursor-pointer" @click.prevent="screen = 'signup'"><?php echo esc_html__('Get Started', 'easy-video-reviews'); ?></a>
        </p>
        <div class="my-3">
          <label for="" class="mb-1 block text-gray-500"><?php echo esc_html__('Email', 'easy-video-reviews'); ?></label>
          <input type="email" v-model="form.signin.email" class="form-input login-input block w-full" :class="form.signin.error == 'email' || (form.signin.email && !isEmail(form.signin.email)) ? 'border-error': ''" placeholder="Enter email" required @input="form.signin.error = false" />
          <error v-show="form.signin.error == 'email'" message="No Account within this email"></error>
        </div>
        <div class="mb-3">
          <label for="" class="mb-1 block text-gray-500"><?php echo esc_html__('Password', 'easy-video-reviews'); ?></label>
          <input type="password" class="form-input login-input block w-full" :class="form.signin.error == 'password' ? ['ring-1 ring-red-400']: ''" placeholder="Enter Password" v-model="form.signin.password" required @input="form.signin.error = false" />
          <error v-show="form.signin.error == 'password'" message="<?php echo esc_html__('Incorrect Password', 'easy-video-reviews'); ?>"></error>
        </div>

        <div class="py-3 px-4 bg-red-100 text-gray-800 rounded-sm text-center" v-show="form.signin.error && !['password', 'email'].includes(form.signin.error)">{{form.signin.error}}</div>

        <div class="mt-4">
          <button :disabled="form.reset.loading" class="disabled:opacity-50 group bg-blue-500 px-4 py-2 text-white hover:bg-blue-600">
            <loader class="mr-2" v-show="form.signin.loading"></loader>
            <span><?php echo esc_html__('Login', 'easy-video-reviews'); ?></span>
          </button>
        </div>

        <p class="text-gray-500 text-sm my-3">
          <?php echo esc_html__('Forgot?', 'easy-video-reviews'); ?>
          <a @click.prevent="screen = 'reset'" class="cursor-pointer text-blue-400"><?php echo esc_html__('Reset Password', 'easy-video-reviews'); ?></a>
        </p>
      </form>

      <!-- reset  -->
      <form @submit.prevent="reset" v-if="screen=='reset'">
        <p href="#" class="text-gray-500 text-sm py-2">
          <?php echo esc_html__('Don\'t have any account?', 'easy-video-reviews'); ?>
          <a href="#" class="text-blue-500 hover:text-blue-500 cursor-pointer" @click.prevent="screen = 'signup'">Get Started</a>
        </p>
        <div class="my-3">
          <label for="" class="mb-1 block text-gray-500"><?php echo esc_html__('Email', 'easy-video-reviews'); ?></label>
          <input type="email" class="form-input login-input block w-full" placeholder="Enter email" v-model="form.reset.email" :class="form.reset.error || (form.reset.email && !isEmail(form.reset.email)) ? 'border-error': ''" required @input="form.reset.error = false" />
          <reset v-show="form.reset.error" message="<?php echo esc_html__('Email doesn\'t exists', 'easy-video-reviews'); ?>"></reset>
        </div>

        <div class="mt-4">
          <button :disabled="form.reset.loading" class="disabled:opacity-50 group flex items-center bg-blue-500 px-4 py-2 text-white hover:bg-blue-600">
            <loader class="mr-2" v-if="form.reset.loading"></loader>
            <span><?php echo esc_html__('Send Me Email', 'easy-video-reviews'); ?></span>
          </button>
        </div>

        <p class="text-gray-500 text-sm my-3">
          <?php echo esc_html__('Already have an account?', 'easy-video-reviews'); ?>
          <a @click.prevent="screen = 'signin'" class="cursor-pointer text-blue-400"><?php echo esc_html__('Sign In', 'easy-video-reviews'); ?></a>
        </p>
      </form>

      <!-- <div class="border-b p-3"></div> -->
      <div class="my-5 border-b-2 border-gray-200 block w-full"></div>
      <div class="flex items-center justify-center">
        <a class="text-blue-400 hover:text-blue-500" href="https://wppool.dev/docs-category/how-to-use-easy-video-reviews/" target="_blank"><?php echo esc_html__('Get Support', 'easy-video-reviews'); ?></a>
        <div class="mx-2 text-gray-400">| <?php echo esc_html__('Easy Video Reviews', 'easy-video-reviews'); ?></div>
      </div>
    </div>
  </div>
  <!-- wrapper ends  -->
</div>

<?php

add_filter('admin_footer_text', function ($footer) {
  return '<div class="text-gray-400">' . esc_html__('Thank you for choosing Easy Video Reviews', 'easy-video-reviews') . '</div>';
});

?>