<!-- recorder modal -->
<div data-evr-modal style="display: none;">
  <div class="evr-modal">
    <div class="evr-overlay"></div>
    <div class="evr-modal-body">

      <!-- top icon  -->
      <div class="top_icon">
        <img src="<?php echo esc_url(plugin_dir_url(EVR_HANDLER_FILE)) ?>public/images/evr.svg" alt="Easy Video Reviews">
      </div>

      <!-- close button  -->
      <div onclick="typeof(_evr) != 'undefined' && _evr ? _evr.hide() : false" class="evr-close">
        <i class="evr-icon">&#xe81a;</i>
      </div>

      <!-- error message  -->
      <div v-if="error" class="evr-error">
        <div class="evr-error-message" v-html="error">
        </div>
        <div class="evr-error-footer"><?php echo __('Powered by <a href="https://go.wppool.dev/jfA" target="_blank">Easy Video Reviews</a>', 'easy-video-reviews'); ?>
        </div>
      </div>

      <!-- review recorder  -->
      <div v-else class="evr-recorder-wrapper">

        <!-- recorder  -->
        <section class="evr-recorder">
          <h4 v-show="state == 'mirror'" class="evr-title" v-text="
          !foundCamera ?  ( preference.upload ? trans('Upload Review') : trans('Easy Video Reviews') ): trans('Record Review')">

          </h4>
          <!--Body-->
          <div v-if="state != 'uploader'" class="evr-recorder-box">

            <div class="evr-recorder-mirror" :class="['recorder', 'recording', 'recorded'].includes(state) ? 'evr-rounded' : ''">

              <!-- videos  -->
              <div class="evr-recorder-video">
                <video :class="src == 'record' && options.flip ? 'flip-camera' : ''" v-show="['recorded', 'send'].includes(state)" data-evr-preview src="#"></video>
                <video :class="options.flip ? 'flip-camera' : ''" v-if="!isMobile && foundCamera" v-show="!['recorded', 'send'].includes(state)" data-evr-mirror muted src="#" autoplay></video>

                <div v-show="['recorded'].includes(state)" class="evr-preview-controls" @click.prevent="playPausePreview($event)">
                  <div class="evr-buttons">
                    <button v-if="previewPlaying" class="evr-button"><i class="evr-icon">&#xe816;</i></button>
                    <button v-else class="evr-button"><i class="evr-icon">&#xe80f;</i></button>
                  </div>
                </div>
                <div @dblclick.prevent="fullscreen('.evr-recorder-video')" v-show="['mirror'].includes(state)" class="evr-preview-controls evr-preview-controls-bottom">
                  <div class="evr-buttons">
                    <button class="evr-button" :class="{'evr-button-outline': !options.flip }" @click.prevent="flipCamera($event)"><i class="evr-icon">&#xe818;</i></button>
                  </div>
                </div>

              </div>
              <!-- counter  -->
              <div v-if="startingCount && foundCamera" class="evr-counter">
                {{startingCount}}
              </div>

              <!-- icon  -->
              <div v-if="foundCamera" class="evr-recording-icon">
                <i v-show="state == 'recording'"></i>
                <div v-if="finishingCount">{{time(finishingCount)}}</div>
              </div>

              <div v-if="foundCamera" class="evr-recording-start-area">
                <div class="flex object-center items-center">
                  <button v-show="state=='recorder'" @click.prevent="initRecording($event)" class="evr-recording-start">
                    <?php echo __('Start', 'easy-video-reviews'); ?>
                  </button>
                  <button @click.prevent="state = 'mirror'; finishingCount = false" v-show="state=='recorder'" class="evr-recording-close">
                    <i class="evr-icon">&#xe81a;</i>
                  </button>

                  <button v-show="state=='recording'" @click="stopRecording($event)" class="evr-recording-stop">
                    <div></div>
                  </button>


                </div>
              </div>
            </div>

            <div v-else v-if="state == 'mirror' && !foundCamera" class="evr-error">
              <div class="evr-error-message">{{trans(`You have no camera installed on your device or the device is currently being used by other application`)}}</div>
            </div>

            <div v-if="foundCamera" class="evr-options" v-show="state=='mirror'">
              <div class="evr-message">
                {{trans(`You can record up to %s minutes, don't worry you will review your video before sending`, time(preference.limits))}}
              </div>
              <div class="evr-chooseoption" v-if="preference.show_options && !options.shown">
                <button class="evr-button" @click.prevent="options.shown = true" :class="chooseDevices ? ['bg-blue-500', 'text-white'] : ['bg-gray-100', 'text-gray-500']">{{options.shown
                    ? trans('Hide options') : trans('Show options')}}
                  <i class="evr-icon">&#xf1de;</i></button>
              </div>

              <div v-if="preference.show_options && options.shown">

                <div class="evr-delay">
                  <button class="evr-button" for="wpvt_delay" @click.prevent="options.delay = Number(options.delay) ? false : preference.delay" class="mb-1 font-semibold text-gray-800">{{options.delay ? trans('Delay') : trans('No Delay')}}</button>
                  <div>
                    <input id="wpvt_delay" type="text" v-show="options.delay" v-model="options.delay" class="evr-delay-input" v-model="preference.delay">
                    <span v-show="options.delay">{{trans('Seconds')}}</span>
                  </div>
                </div>

                <div class="evr-option-select">
                  <label for="">{{trans('Choose camera')}}</label>
                  <div class="relative mt-1">
                    <select @change="initMirror($event)" v-model="options.camera" class="">
                      <option value="">{{trans('Default camera')}}</option>
                      <option v-for="cam in devices.cameras" :value="cam.id">{{cam.name}}</option>
                    </select>
                  </div>
                </div>

                <div class="evr-option-select">
                  <label for="evr-mics">{{trans('Choose microphone')}}</label>
                  <div class="relative mt-1">
                    <select @change="initMirror($event)" id="evr-mics">
                      <option value="">{{trans('Default Microphone')}}</option>
                      <option v-for="mic in devices.mics" :value="mic.id">{{mic.name}}</option>
                    </select>
                  </div>
                </div>

                <div class="text-center">
                  <button class="evr-button" @click.prevent="options.shown = !options.shown" :class="chooseDevices ? ['bg-blue-500', 'text-white'] : ['bg-gray-100', 'text-gray-500']">{{trans('Save Options')}}</button>
                </div>

              </div>

            </div>


          </div>

          <div v-show="state=='mirror'" class="evr-mirror-box" :class="{'evr-divice-found' : foundCamera}">
            <button v-if="foundCamera" @click.prevent="initRecorder($event)" class="evr-button">
              {{trans('Looks good, continue')}}
            </button>
            <button v-if="preference.upload" @click="state = 'uploader'" class="evr-button evr-button-outline">

              <i class="evr-icon">&#xe80c;</i>
              {{trans('Upload video')}}
            </button>
          </div>
        </section>


        <section v-if="state=='mobile'">
          <div class="evr-message">
            {{trans(`You can record up to %s minutes, don't worry you will review your video before sending`, time(preference.limits))}}
          </div>

          <input id="evr_uploader" @input="fileSelected($event)" type="file" accept="video/*" capture="capture" class="cursor-pointer absolute block opacity-0 pin-r pin-t">
          <input v-if="preference.upload" id="evr_uploader2" @input="fileSelected($event)" type="file" accept="video/*" class="cursor-pointer absolute block opacity-0 pin-r pin-t">

          <div class="flex items-center gap-2 w-full justify-center my-4">
            <label for="evr_uploader" class="cursor-pointer px-4 py-3 rounded-sm bg-blue-400 text-white hover:bg-blue-500 transition duration-100 flex items-center justify-center gap-2">
              <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                <path d="M10.5 8.5a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0z" />
                <path d="M2 4a2 2 0 0 0-2 2v6a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2h-1.172a2 2 0 0 1-1.414-.586l-.828-.828A2 2 0 0 0 9.172 2H6.828a2 2 0 0 0-1.414.586l-.828.828A2 2 0 0 1 3.172 4H2zm.5 2a.5.5 0 1 1 0-1 .5.5 0 0 1 0 1zm9 2.5a3.5 3.5 0 1 1-7 0 3.5 3.5 0 0 1 7 0z" />
              </svg>
              {{trans('Record')}}</label>
            <label v-if="preference.upload" for="evr_uploader2" class="cursor-pointer px-4 py-3 rounded-sm  bg-blue-400 text-white hover:bg-blue-500 transition duration-100  flex items-center justify-center gap-2">
              <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                <path d="M8 2a5.53 5.53 0 0 0-3.594 1.342c-.766.66-1.321 1.52-1.464 2.383C1.266 6.095 0 7.555 0 9.318 0 11.366 1.708 13 3.781 13h8.906C14.502 13 16 11.57 16 9.773c0-1.636-1.242-2.969-2.834-3.194C12.923 3.999 10.69 2 8 2zm2.354 5.146a.5.5 0 0 1-.708.708L8.5 6.707V10.5a.5.5 0 0 1-1 0V6.707L6.354 7.854a.5.5 0 1 1-.708-.708l2-2a.5.5 0 0 1 .708 0l2 2z" />
              </svg>
              {{trans('Upload')}}</label>
          </div>
        </section>

        <!-- send to server  -->
        <section v-if="state == 'send'">
          <div v-if="send.sending" class="evr-send">
            <div class="evr-send-sending"></div>
            {{trans('Uploading video...')}}
          </div>
          <div v-else>
            <div v-if="send.message" class="evr-send-message" :class="{'evr-sent' : send.success}">{{send.message}}</div>
            <div class="evr-send-recorder-button"><button @click.prevent="isMobile ? state == 'mobile' : initMirror();" class="evr-button evr-button-outline">
                <i class="evr-icon">&#xe810;</i>
                {{trans('Record new video')}}
              </button></div>
          </div>
        </section>

        <!-- recorder -->

        <section v-show="state == 'recorded'">
          <form id="evr_send" @submit.prevent="sendVideo">
            <template v-if="preference.form && forms && forms.length > 0" v-for="form in forms">

              <div class="evr-input-group" v-if="['text', 'email', 'number', 'date', 'time', 'date', 'time', 'range'].includes(form.type)">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <input :id="form.id" v-model="options.form[form.id]" :type="form.type" class="input-text" :placeholder="form.placeholder" :required="form.required">
              </div>

              <div class="evr-input-group" v-if="form.type == 'textarea'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <textarea :id="form.id" :required="form.required" v-model="options.form[form.id]" class="input-text" :placeholder="form.placeholder"></textarea>
              </div>

              <div class="evr-input-group" v-if="form.type == 'radio'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <div :class="form.display == 'inline' ? 'flex-col' : 'flex'">
                  <label v-for="(opt, k) in form.options" :for="`option_${k}`" class="evr-radio-label">
                    <input v-model="options.form[form.id]" type="radio" :name="form.id" class="evr-input-radio" :id="`option_${k}`" :required="form.required"> {{opt.label}}</label>
                </div>
              </div>

              <div class="evr-input-group" v-if="form.type == 'select'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <select v-model="options.form[form.id]" :id="form.id" class="evr-input-select" :required="form.required">
                  <option v-for="opt in form.options" :value="opt.value">{{opt.label}}</option>
                </select>
              </div>

              <div class="evr-input-group evr-input-group-inline" v-if="form.type == 'checkbox'">
                <input v-model="options.form[form.id]" type="checkbox" :required="form.required" :id="form.id" class="evr-input-checkbox">
                <label :for="form.id" class="text-gray-500">{{form.label}}</label>
              </div>

              <div class="evr-input-group evr-input-group-inline" v-if="form.type == 'message'" v-html="options.form[form.id]">
              </div>

              <div class="evr-input-group" v-if="form.type == 'rating'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <div class="evr-input-rating">
                  <i class="" v-for="(max, i) in Number(form.max)" :class="i+1 <= options.form[form.id] || i+1 <= form.rating? 'evr-rating-active' : ''" @mouseover="form.rating = i + 1" @mouseleave="form.rating = 0" @click.prevent="options.form[form.id] = i+1"> &#xe811;</i>
                </div>
              </div>

            </template>


            <div v-if="preference.publish_policy" class="evr-publish-policy">
              <input required value="1" type="checkbox" id="publish_policy" class="evr-input-checkbox">
              <label for="publish_policy" class="evr-radio-label">{{trans('I\'m allowing to publish this video')}}</label>
            </div>

            <div class="evr-recorder-buttons">

              <button type="submit" class="evr-button">
                <i class="evr-icon">&#xf0a9;</i> {{trans('Submit')}}
              </button>
              <button v-if="foundCamera" @click.prevent="isMobile ? state = 'mobile' : initRecorder()" class="evr-button evr-button-outline">
                <i class="evr-icon">&#xe810;</i>
                {{trans('Record')}}
              </button>
              <button @click.prevent="isMobile ? state = 'mobile' : initRecorder()" class="evr-button evr-button-outline">
                <i class="evr-icon">&#xe803;</i>
                {{trans('Start over')}}
              </button>
            </div>
          </form>
        </section>

        <!--uploader drag and drop section-->
        <section v-if="preference.upload && state=='uploader'" class="rounded-md evr_uploader p-3 bg-white z-50">
          <h2 class="evr-title">{{trans('Upload video')}}</h2>
          <div id="evr_dropzone" class="evr-dropzone">
            <div>
              <input id="evr_uploader" @input="fileSelected($event)" accept="video/" type="file" class="evr-uploader-file" title="Select file" />

              <div class="evr-dropzone-area ">
                <i class="evr-icon">&#xe804;</i>
                <div class="m-0">
                  {{trans('Drag your files here or click in this area')}}
                </div>
              </div>
            </div>

          </div>

          <div v-if="uploader.file" class="evr-uploader-file-info"><span>{{uploader.file}}</span> <span class="mx-4">{{uploader.size}}</span> <a class="cursor-pointer py-1 px-3 bg-red-400 rounded-md text-white hover:bg-red-500 transition" @click="removeFileUpload($event)">x</a></div>
          <div v-if="uploader.error" class="evr-error">
            <div class="evr-error-message" v-html="uploader.error"></div>
          </div>

          <div class=" evr-button-area" v-show="isMobile ? state = 'mobile' : state == 'uploader'">
            <button v-if="uploader.file && !uploader.error" @click.prevent="lateUploader($event)" href="javascript:;" class="evr-button">
              {{trans('Continue')}}</button>

            <button v-if="foundCamera" @click.prevent="isMobile ? state = 'mobile' : initRecorder()" href="javascript:;" class="evr-button evr-button-outline">
              <i class="evr-icon">&#xe810;</i> {{trans('Record Video')}}</button>
          </div>
        </section>


      </div>
    </div>
  </div>
</div>
<!--  recorder modal -->